Sidenav

Bootstrap 5 Sidenav component

The side navigation component provides an easy way to navigate through your website. Its appearance & behaviour are easily adjustable with data-mdb-attributes and methods - additional functionality such as touch events and focus trap (in an over mode) are available out of the box.

Note: Read the API tab to find all available options and advanced customization

Video tutorial

Required ES init: Sidenav *
* UMD autoinits are enabled by default. This means that you don't need to initialize the component manually. However if you are using MDBootstrap ES format then you should pass the required components to the initMDB method.
View full screen demo

Basic example

In the basic version, the side navigation will appear over your website's content after clicking on a toggler.

Note: Use show and hide methods to toggle navigation with JavaScript.

Note: Adding the show class to a sidenav collapse element will expand this category on render.

        
            
          <!-- Sidenav -->
          <nav
            data-mdb-sidenav-init
            id="sidenav-1"
            class="sidenav"
            data-mdb-hidden="false"
          >
            <ul class="sidenav-menu">
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 1</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link"
                  ><i class="fas fa-grin fa-fw me-3"></i><span>Category 1</span></a
                >
                <ul class="sidenav-collapse show">
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 2</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 3</a>
                  </li>
                </ul>
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link"
                  ><i class="fas fa-grin-wink fa-fw me-3"></i><span>Category 2</span></a
                >
                <ul class="sidenav-collapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 4</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"
                      >Link 5</a
                    >
                  </li>
                </ul>
              </li>
            </ul>
          </nav>
          <!-- Sidenav -->

          <!-- Toggler -->
          <button
            data-mdb-ripple-init
            data-mdb-toggle="sidenav"
            data-mdb-target="#sidenav-1"
            class="btn btn-primary"
            aria-controls="#sidenav-1"
            aria-haspopup="true"
          >
            <i class="fas fa-bars"></i>
          </button>
          <!-- Toggler -->
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, initMDB } from "mdb-ui-kit";
          
          initMDB({ Sidenav });
        
        
    

Positioning

While using the side and push modes, you can specify the selector for your page's content - this way, the component will automatically update paddings and margins. To customize this behaviour in a non-standard way, use a combination of media queries & update.mdb.sidenav event

Select mode:

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc magna massa, ornare quis interdum a, cursus in quam. Quisque risus libero, cursus eget eros vitae, aliquam placerat velit. Vivamus luctus eros id sagittis luctus. Pellentesque felis nulla, rhoncus viverra nunc vitae, viverra aliquam ante. Ut feugiat mattis tempor.
        
            
          <nav
            data-mdb-sidenav-init
            class="sidenav"
            data-mdb-mode="side"
            data-mdb-content="#content"
          >
            ...
          </nav>
          <nav id="content">...</nav>
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, initMDB } from "mdb-ui-kit";
          
          initMDB({ Sidenav });
        
        
    

Colors example

Setting the color attribute will change the background and font color of active/hovered links and categories.

Note: This option works for MDB 5 main colors - primary, secondary, warning, danger, success, info, dark and light.

Select color:

        
            
          <!-- Sidenav -->
          <nav
            data-mdb-sidenav-init
            class="sidenav"
            data-mdb-color="secondary"
          >
            ...
          </nav>
          <!-- Sidenav -->
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, initMDB } from "mdb-ui-kit";
          
          initMDB({ Sidenav });
        
        
    

Inner scroll

Passing a selector of an inner element to the scrollContainer option will initialize MDB scrollbar only on this container (by default it's initialized on the sidenav's main element).

        
            
          <!-- Sidenav -->
          <nav
            data-mdb-sidenav-init
            id="sidenav-3"
            class="sidenav"
            data-mdb-scroll-container="#scroll-container"
            data-mdb-mode="side"
          >
            <div class="text-center">
              <h3 class="py-4">Examples</h3>
              <hr class="m-0" />
            </div>
            <ul id="scroll-container" class="sidenav-menu">
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 1</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 2</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 3</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 4</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 5</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 6</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 7</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 8</span></a
                >
              </li>
            </ul>

            <div class="text-center" style="min-height: 3rem;">
              <hr class="mt-0 mb-2" />
              <small>mdbootstrap.com</small>
            </div>
          </nav>
          <!-- Sidenav-->
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, initMDB } from "mdb-ui-kit";
          
          initMDB({ Sidenav });
        
        
    

Menu item scroll

You can use custom styles and our Scrollbar to add inner scroll for menu items.

        
            
          <!-- Sidenav -->
          <nav
          data-mdb-sidenav-init
          id="sidenav-8"
          class="sidenav"
          data-scroll-container="#scroll-container2"
          data-mdb-mode="side"
        >
          <div class="text-center">
            <h3 class="py-4">Examples</h3>
            <hr class="m-0" />
          </div>
          <ul id="scroll-container2" class="sidenav-menu">
            <li class="sidenav-item">
              <a class="sidenav-link"
                ><i class="fas fa-grin fa-fw me-3"></i><span>Scrolling Category 1</span></a
              >
              <ul class="sidenav-collapse scroll-section">
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 1</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 2</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 3</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 4</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 5</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 6</a>
                </li>
              </ul>
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link"
                ><i class="fas fa-grin fa-fw me-3"></i><span>Scrolling Category 2</span></a
              >
              <ul class="sidenav-collapse scroll-section">
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 1</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 2</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 3</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 4</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 5</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 6</a>
                </li>
              </ul>
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link"
                ><i class="fas fa-grin fa-fw me-3"></i><span>Scrolling Category 2</span></a
              >
              <ul class="sidenav-collapse scroll-section">
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 1</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 2</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 3</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 4</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 5</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 6</a>
                </li>
              </ul>
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link"
                ><i class="fas fa-grin fa-fw me-3"></i><span>Scrolling Category 3</span></a
              >
              <ul class="sidenav-collapse scroll-section">
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 1</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 2</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 3</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 4</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 5</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 6</a>
                </li>
              </ul>
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link"
                ><i class="fas fa-grin fa-fw me-3"></i><span>Scrolling Category 4</span></a
              >
              <ul class="sidenav-collapse scroll-section">
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 1</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 2</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 3</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 4</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 5</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 6</a>
                </li>
              </ul>
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link"
                ><i class="fas fa-grin fa-fw me-3"></i><span>Scrolling Category 5</span></a
              >
              <ul class="sidenav-collapse scroll-section">
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 1</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 2</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 3</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 4</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 5</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 6</a>
                </li>
              </ul>
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link"
                ><i class="fas fa-grin fa-fw me-3"></i><span>Scrolling Category 6</span></a
              >
              <ul class="sidenav-collapse scroll-section">
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 1</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 2</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 3</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 4</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 5</a>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">Link 6</a>
                </li>
              </ul>
            </li>
          </ul>

          <div class="text-center" style="min-height: 3rem">
            <hr class="mt-0 mb-2" />
            <small>mdbootstrap.com</small>
          </div>
        </nav>
          <!-- Sidenav-->

          <div style="padding: 20px;" class="text-center">
            <button
              data-mdb-toggle="sidenav"
              data-mdb-target="#sidenav-8"
              class="btn btn-primary"
              aria-controls="#sidenav-8"
              aria-haspopup="true"
            >
              <i class="fas fa-bars"></i>
            </button>
            <div class="d-flex justify-content-center my-5"></div>
          </div>
        
        
    
        
            
          .scroll-section {
            max-height: 100px;
            overflow-y: auto;
            margin-right: 10px;
          }
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, PerfectScrollbar, initMDB } from "mdb-ui-kit";
          
          initMDB({ Sidenav });

          const scrollSection = document.getElementsByClassName('scroll-section');

          scrollSection.forEach((el) => {
            const ps = new PerfectScrollbar(el, { suppressScrollX: true });
          });
        
        
    
        
            
          const scrollSection = document.getElementsByClassName('scroll-section');

          scrollSection.forEach((el) => {
            const ps = new mdb.PerfectScrollbar(el, { suppressScrollX: true });
          });
        
        
    

Slim example

You can hide/show elements in the slim mode by setting data-mdb-slim attribute on them - depending on value they will be either visible only in a slim or an expanded mode. Elements without this attribute will appear in both modes.

        
            
          <!-- Sidenav-->
          <nav
            data-mdb-sidenav-init
            id="sidenav-4"
            class="sidenav"
            data-mdb-mode="side"
            data-mdb-slim="true"
            data-mdb-slim-collapsed="true"
            data-mdb-content="#slim-content"
          >
            <ul class="sidenav-menu">
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile me-3"></i
                  ><span data-mdb-slim="false">Link 1</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link"
                  ><i class="fas fa-grin me-3"></i
                  ><span data-mdb-slim="false">Category 1</span></a
                >
                <ul class="sidenav-collapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 2</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 3</a>
                  </li>
                </ul>
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link"
                  ><i class="fas fa-grin-wink me-3"></i
                  ><span data-mdb-slim="false">Category 2</span></a
                >
                <ul class="sidenav-collapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 4</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 5</a>
                  </li>
                </ul>
              </li>
            </ul>
          </nav>
          <!-- Sidenav-->

          <!-- Togglers -->
          <div id="slim-content">
            <button
              data-mdb-ripple-init
              data-mdb-toggle="sidenav"
              data-mdb-target="#sidenav-4"
              class="btn btn-primary"
              aria-controls="#sidenav-4"
              aria-haspopup="true"
            >
              <i class="fas fa-bars"></i>
            </button>
            <button data-mdb-ripple-init id="slim-toggler" class="btn btn-primary">
              Toggle slim
            </button>
          </div>
          <!-- Togglers -->
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, initMDB } from "mdb-ui-kit";
          
          initMDB({ Sidenav });

          //Use show() method to make it instantly visible
          const slimInstance = Sidenav.getInstance(document.getElementById('sidenav-4'));

          slimInstance.show();

          document.getElementById('slim-toggler').addEventListener('click', () => {
            slimInstance.toggleSlim();
          })
        
        
    
        
            
          //Use show() method to make it instantly visible
          const slimInstance = mdb.Sidenav.getInstance(document.getElementById('sidenav-4'));

          slimInstance.show();

          document.getElementById('slim-toggler').addEventListener('click', () => {
            slimInstance.toggleSlim();
          })
        
        
    

Accordion example

Using accordion option will allow expanding only one category at once.

        
            
          <!-- Sidenav-->
          <nav
            data-mdb-sidenav-init
            id="sidenav-5"
            class="sidenav"
            data-mdb-accordion="true"
          >
            <ul class="sidenav-menu">
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 1</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link"
                  ><i class="fas fa-grin fa-fw me-3"></i><span>Category 1</span></a
                >
                <ul class="sidenav-collapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 2</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 3</a>
                  </li>
                </ul>
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link"
                  ><i class="fas fa-grin-wink fa-fw me-3"></i><span>Category 2</span></a
                >
                <ul class="sidenav-collapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 4</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 5</a>
                  </li>
                </ul>
              </li>
            </ul>
          </nav>
          <!-- Sidenav-->

          <!-- Toggler -->
            <button
              data-mdb-toggle="sidenav"
              data-mdb-target="#sidenav-5"
              class="btn btn-primary"
              aria-controls="#sidenav-5"
              aria-haspopup="true"
            >
              <i class="fas fa-bars"></i>
            </button>
          <!-- Toggler -->
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, initMDB } from "mdb-ui-kit";
          
          initMDB({ Sidenav });
        
        
    

Groups

You can use more than one menu inside the side navigation - in this case, accordions will be independent of one another.

        
            
          <!-- Sidenav-->
          <nav
            data-mdb-sidenav-init
            id="sidenav-6"
            class="sidenav"
            data-mdb-accordion="true"
            data-mdb-mode="side"
          >
            <ul class="sidenav-menu">
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 1</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link"
                  ><i class="fas fa-grin fa-fw me-3"></i><span>Category 1</span></a
                >
                <ul class="sidenav-collapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 2</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 3</a>
                  </li>
                </ul>
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link"
                  ><i class="fas fa-grin-wink fa-fw me-3"></i><span>Category 2</span></a
                >
                <ul class="sidenav-collapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 4</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 5</a>
                  </li>
                </ul>
              </li>
            </ul>
            <hr />
            <ul class="sidenav-menu">
              <li class="sidenav-item">
                <a class="sidenav-link">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 6</span></a
                >
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link"
                  ><i class="fas fa-grin fa-fw me-3"></i><span>Category 3</span></a
                >
                <ul class="sidenav-collapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 7</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 8</a>
                  </li>
                </ul>
              </li>
              <li class="sidenav-item">
                <a class="sidenav-link"
                  ><i class="fas fa-grin-wink fa-fw me-3"></i><span>Category 4</span></a
                >
                <ul class="sidenav-collapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 9</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link">Link 10</a>
                  </li>
                </ul>
              </li>
            </ul>
          </nav>

          <!-- Sidenav-->

          <!-- Toggler -->
          <button
            data-mdb-toggle="sidenav"
            data-mdb-target="#sidenav-6"
            class="btn btn-primary"
            aria-controls="#sidenav-6"
            aria-haspopup="true"
          >
            <i class="fas fa-bars"></i>
          </button>
          <!-- Toggler -->
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, initMDB } from "mdb-ui-kit";
          
          initMDB({ Sidenav });
        
        
    

Right

Place the navigation on the other side by setting the right attribute to true.

        
            
          <nav
            data-mdb-sidenav-init=""
            class="sidenav"
            data-mdb-right="true"
          >
            ...
          </nav>
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, initMDB } from "mdb-ui-kit";
          
          initMDB({ Sidenav });
        
        
    

Full-screen examples

The following examples show various settings of the side navigation component in a full-screen mode.


1. Basic side navigation

Click the toggler to show the navigation (over mode).

        
            
            <!-- Sidenav -->
            <nav
              data-mdb-sidenav-init
              id="full-screen-example"
              class="sidenav"
            >
              <div class="mt-4">
                <div id="header-content" class="ps-3">
                  <img
                    src="https://mdbcdn.b-cdn.net/img/Photos/Avatars/img%20(26).webp"
                    alt="Avatar"
                    class="rounded-circle img-fluid mb-3"
                    style="max-width: 50px;"
                  />

                  <h4>
                    Ann Smith
                  </h4>
                  <p>ann_s@mdbootstrap.com</p>
                </div>
                <hr class="mb-0" />
              </div>
              <div>
                <ul class="sidenav-menu">
                  <li class="sidenav-item">
                    <a class="sidenav-link" href="/"> <i class="fas fa-envelope fa-fw me-3"></i>Inbox</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link" href="#test-link">
                      <i class="fas fa-paper-plane fa-fw me-3"></i>Outbox</a
                    >
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-address-book fa-fw me-3"></i>Contacts</a>
                    <ul class="sidenav-collapse">
                      <li class="sidenav-item">
                        <a class="sidenav-link">Family</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" href="/previews/mdb-ui-kit/sidenav/1.html">Friends</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link">Work</a>
                      </li>
                    </ul>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-file fa-fw me-3"></i>Drafts</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-heart fa-fw me-3"></i>Favourites</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-star fa-fw me-3"></i>Starred</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-trash fa-fw me-3"></i>Trash</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-ban fa-fw me-3"></i>Spam</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"><i class="fas fa-tag fa-fw me-3"></i>Categories</a>
                    <ul class="sidenav-collapse">
                      <li class="sidenav-item">
                        <a class="sidenav-link">Social</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link">Notifications</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link">Recent</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link">Uploads</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link">Backups</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link">Offers</a>
                      </li>
                    </ul>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-sticky-note fa-fw me-3"></i>Notes</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-user-circle fa-fw me-3"></i>Personal</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-ellipsis-h fa-fw me-3"></i>More</a>
                  </li>
                </ul>
                <hr class="m-0" />
                <ul class="sidenav-menu">
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-cogs fa-fw me-3"></i>Settings</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-user fa-fw me-3"></i>Profile</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-shield-alt fa-fw me-3"></i>Privacy</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link"> <i class="fas fa-user-astronaut fa-fw me-3"></i>Log out</a>
                  </li>
                </ul>
              </div>
              <div class="text-center" style="height: 100px;">
                <hr class="mb-4 mt-0" />
                <p>MDBootstrap.com</p>
              </div>
            </nav>
            <!-- Sidenav -->

            <!-- Content -->
            <div class="mdb-page-content text-center page-intro bg-light">
              <div class="mask text-center py-5">
                <button
                  data-mdb-ripple-init
                  id="toggler"
                  class="btn btn-primary m-5"
                  data-mdb-toggle="sidenav"
                  data-mdb-target="#full-screen-example"
                >
                  <i class="fas fa-bars"></i>
                </button>
                <div>
                  <img class="rounded" src="https://mdbcdn.b-cdn.net/img/Photos/Others/img%20(45).webp" />
                </div>
              </div>
            </div>
            <!-- Content -->
          
        
    
        
            
            .page-intro {
              background-color: white;
              width: 100vw;
              height: 100vh;
            }

            mask {
              width: 100%;
            }

            .mask img {
              max-width: 80%;
            }

            @media (max-width: 660px) {
              .mask img {
                width: 100%;
              }
            }
          
        
    
        
            
            // Initialization for ES Users
            import { Sidenav, initMDB } from "mdb-ui-kit";
            
            initMDB({ Sidenav });
          
        
    

2. Side navigation with a mode transition

Resize the window to change the mode from side to over.

        
            
          <!-- Sidenav -->
          <nav
            data-mdb-sidenav-init
            id="full-screen-example"
            class="sidenav bg-light"
            data-mdb-color="dark"
            data-mdb-mode="side"
            data-mdb-hidden="false"
            data-mdb-scroll-container="#scrollContainer"
          >
            <div class="mt-4">
              <div id="header-content" class="ps-3">
                <img
                  src="https://mdbcdn.b-cdn.net/img/Photos/Avatars/img%20(23).webp"
                  alt="Avatar"
                  class="rounded-circle img-fluid mb-3"
                  style="max-width: 50px;"
                />

                <h4>
                  <span style="white-space: nowrap;">Ann Smith</span>
                </h4>
                <p>ann_s@mdbootstrap.com</p>
              </div>
              <hr class="mb-0" />
            </div>
            <div id="scrollContainer">
              <ul class="sidenav-menu">
                <li class="sidenav-item">
                  <a class="sidenav-link" href="/">
                    <i class="fas fa-envelope fa-fw me-3"></i>Inbox</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-paper-plane fa-fw me-3"></i>Outbox</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-address-book fa-fw me-3"></i>Contacts</a
                  >
                  <ul class="sidenav-collapse">
                    <li class="sidenav-item">
                      <a class="sidenav-link">Family</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link" href="/previews/mdb-ui-kit/sidenav/2.html">Friends</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">Work</a>
                    </li>
                  </ul>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-file fa-fw me-3"></i>Drafts</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-heart fa-fw me-3"></i>Favourites</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-star fa-fw me-3"></i>Starred</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-trash fa-fw me-3"></i>Trash</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-ban fa-fw me-3"></i>Spam</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link"
                    ><i class="fas fa-tag fa-fw me-3"></i>Categories</a
                  >
                  <ul class="sidenav-collapse">
                    <li class="sidenav-item">
                      <a class="sidenav-link">Social</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">Notifications</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">Recent</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">Uploads</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">Backups</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">Offers</a>
                    </li>
                  </ul>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-sticky-note fa-fw me-3"></i>Notes</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-user-circle fa-fw me-3"></i>Personal</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-ellipsis-h fa-fw me-3"></i>More</a
                  >
                </li>
              </ul>
              <hr class="m-0" />
              <ul class="sidenav-menu">
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-cogs fa-fw me-3"></i>Settings</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-user fa-fw me-3"></i>Profile</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-shield-alt fa-fw me-3"></i>Privacy</a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link">
                    <i class="fas fa-user-astronaut fa-fw me-3"></i>Log out</a
                  >
                </li>
              </ul>
            </div>
            <div class="text-center" style="height: 100px;">
              <hr class="mb-4 mt-0" />
              <p>MDBootstrap.com</p>
            </div>
          </nav>
          <!-- Sidenav -->

          <!-- Content -->
          <div class="mdb-page-content text-center page-intro bg-light">
            <div class="text-center py-5">
              <h3 class="my-5">Resize to change the mode</h3>
              <div>
                <img class="rounded" src="https://mdbcdn.b-cdn.net/img/Photos/Others/img%20(53).webp" />
              </div>
              <button
                data-mdb-ripple-init
                id="toggler"
                class="btn btn-dark mt-5"
                data-mdb-toggle="sidenav"
                data-mdb-target="#full-screen-example"
              >
                <i class="fas fa-bars"></i>
              </button>
            </div>
          </div>
          <!-- Content -->
        
        
    
        
            
          .page-intro {
            background-color: white;
            width: 100vw;
            min-height: 100vh;
          }

          img {
            max-width: 80%;
          }

          .mdb-page-content {
            padding-left: 240px;
            transition: padding 0.3s linear;
          }

          #toggler {
            display: none;
          }

          @media (max-width: 660px) {
            .mdb-page-content {
              padding-left: 0px;
            }

            #toggler {
              display: unset;
            }

            .mask img {
              width: 100%;
            }

            .sidenav[data-mdb-hidden='false'] {
              transform: translateX(-100%);
            }
          }
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, initMDB } from "mdb-ui-kit";
          
          initMDB({ Sidenav });

          const sidenav = document.getElementById('full-screen-example');
          const sidenavInstance = Sidenav.getInstance(sidenav);

          let innerWidth = null;

          const setMode = (e) => {
            // Check necessary for Android devices
            if (window.innerWidth === innerWidth) {
              return;
            }

            innerWidth = window.innerWidth;

            if (window.innerWidth < 660) {
              sidenavInstance.changeMode('over');
              sidenavInstance.hide();
            } else {
              sidenavInstance.changeMode('side');
              sidenavInstance.show();
            }
          };

          setMode();

          // Event listeners
          window.addEventListener('resize', setMode);
        
        
    
        
            
          const sidenav = document.getElementById('full-screen-example');
          const sidenavInstance = mdb.Sidenav.getInstance(sidenav);

          let innerWidth = null;

          const setMode = (e) => {
            // Check necessary for Android devices
            if (window.innerWidth === innerWidth) {
              return;
            }

            innerWidth = window.innerWidth;

            if (window.innerWidth < 660) {
              sidenavInstance.changeMode('over');
              sidenavInstance.hide();
            } else {
              sidenavInstance.changeMode('side');
              sidenavInstance.show();
            }
          };

          setMode();

          // Event listeners
          window.addEventListener('resize', setMode);
        
        
    

3. Slim side navigation (dark)

Non-expandable slim sidenav with a dark background and custom width.

        
            
          <!-- Sidenav -->
          <nav
            data-mdb-sidenav-init
            id="full-screen-example"
            class="sidenav bg-dark"
            data-mdb-color="light"
            data-mdb-slim="true"
            data-mdb-expandable="false"
            data-mdb-slim-collapsed="true"
            data-mdb-slim-width="90"
            data-mdb-mode="side"
            data-mdb-content="#content"
          >
            <div class="text-center mt-4">
              <a data-mdb-ripple-init class="rounded-circle" data-mdb-color="light" href="#">
                <img
                  src="https://mdbcdn.b-cdn.net/img/Photos/Avatars/img%20(29).webp"
                  alt="Avatar"
                  class="rounded-circle img-fluid"
                  style="max-width: 60px;"
                />
              </a>
            </div>

            <hr />
            <ul class="sidenav-menu">
              <li class="sidenav-item my-3">
                <a class="sidenav-link p-0 d-flex justify-content-center">
                  <i class="far fa-heart fa-2x"></i
                ></a>
              </li>
              <li class="sidenav-item my-3">
                <a class="sidenav-link p-0 d-flex justify-content-center">
                  <i class="far fa-envelope fa-2x"></i
                ></a>
              </li>
              <li class="sidenav-item my-3">
                <a class="sidenav-link p-0 d-flex justify-content-center">
                  <i class="far fa-user fa-2x"></i
                ></a>
              </li>
              <li class="sidenav-item my-3">
                <a class="sidenav-link p-0 d-flex justify-content-center">
                  <i class="fa fa-cogs fa-2x"></i
                ></a>
              </li>
            </ul>
          </nav>
          <!-- Sidenav -->

          <!-- Content -->
          <div id="content" class="page-intro">
            <div class="mask p-4 text-center">
              <h1>Natalie Smith</h1>
              <h2>Portfolio</h2>
            </div>
          </div>
          <!-- Content -->
        
        
    
        
            
          .sidenav[data-mdb-slim-width='90'] {
            width: 90px;
          }

          .page-intro {
            background-image: url('https://mdbcdn.b-cdn.net/img/Photos/Others/img%20(52).webp');
            background-size: cover;
            background-position-x: center;
            background-color: white;
            width: 100vw;
            height: 100vh;
          }

          .mask {
            background-color: rgba(66, 66, 66, 0.4);
            width: 100%;
            height: 100%;
            color: rgba(255, 255, 255, 0.8);
          }

          .mask h1 {
            margin-top: 220px;
            font-size: 6rem;
          }

          .mask h2 {
            font-size: 2.8rem;
          }

          @media (max-width: 500px) {
            .mask h1 {
              font-size: 4rem;
            }

            .mask h2 {
              font-size: 2rem;
            }
          }
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, Ripple, initMDB } from "mdb-ui-kit";

          initMDB({ Sidenav, Ripple });

          window.addEventListener('load', () => {
            const sidenav = document.getElementById('full-screen-example');
            const sidenavInstance = Sidenav.getInstance(sidenav);

            sidenavInstance.show();
          });
        
        
    
        
            
          window.addEventListener('load', () => {
            const sidenav = document.getElementById('full-screen-example');
            const sidenavInstance = mdb.Sidenav.getInstance(sidenav);

            sidenavInstance.show();
          });
        
        
    

4. MDB Navigation

Navigation template based on MDB documentation with the following settings:

  • Hidden on screens smaller then 1400px
  • padding-left: 240px added via CSS to the header and main on the screens larger then 1400px to push the content out of the sidenav area
  • Sidenav toggler added to the Navbar and hidden on screen larger then 1400px
  • On screens smaller then 1400px sidenav mode changes from side to over.
        
            
          <!--Main Navigation-->
          <header>
            <!-- Sidenav -->
            <nav
              data-mdb-sidenav-init
              id="sidenav-1"
              class="sidenav"
              data-mdb-hidden="false"
              data-mdb-accordion="true"
            >
              <a
                data-mdb-ripple-init
                class="d-flex justify-content-center py-4"
                href="#!"
                data-mdb-ripple-color="primary"
              >
                <img
                  id="MDB-logo"
                  src="https://mdbcdn.b-cdn.net/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                  alt="MDB Logo"
                  draggable="false"
                />
              </a>

              <ul class="sidenav-menu">
                <li class="sidenav-item">
                  <a class="sidenav-link" href="">
                    <i class="fas fa-chart-area fa-fw me-3"></i
                    ><span>Webiste traffic</span></a
                  >
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link"
                    ><i class="fas fa-cogs fa-fw me-3"></i><span>Settings</span></a
                  >
                  <ul class="sidenav-collapse">
                    <li class="sidenav-item">
                      <a class="sidenav-link">Profile</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">Account</a>
                    </li>
                  </ul>
                </li>
                <li class="sidenav-item">
                  <a class="sidenav-link"
                    ><i class="fas fa-lock fa-fw me-3"></i><span>Password</span></a
                  >
                  <ul class="sidenav-collapse">
                    <li class="sidenav-item">
                      <a class="sidenav-link">Request password</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link">Reset password</a>
                    </li>
                  </ul>
                </li>
              </ul>
            </nav>
            <!-- Sidenav -->

            <!-- Navbar -->
            <nav
              data-mdb-navbar-init
              id="main-navbar"
              class="navbar navbar-expand-lg bg-body fixed-top"
            >
              <!-- Container wrapper -->
              <div class="container-fluid">
                <!-- Toggler -->
                <button
                  data-mdb-ripple-init
                  data-mdb-toggle="sidenav"
                  data-mdb-target="#sidenav-1"
                  class="btn shadow-0 p-0 me-3 d-block d-xxl-none"
                  aria-controls="#sidenav-1"
                  aria-haspopup="true"
                >
                  <i class="fas fa-bars fa-lg"></i>
                </button>

                <!-- Search form -->
                <form class="d-none d-md-flex input-group w-auto my-auto">
                  <input
                    autocomplete="off"
                    type="search"
                    class="form-control rounded"
                    placeholder='Search (ctrl + "/" to focus)'
                    style="min-width: 225px"
                  />
                  <span class="input-group-text border-0"
                    ><i class="fas fa-search"></i
                  ></span>
                </form>

                <!-- Right links -->
                <ul class="navbar-nav ms-auto d-flex flex-row">
                  <!-- Notification dropdown -->
                  <li class="nav-item dropdown">
                    <a
                      data-mdb-dropdown-init
                      class="nav-link me-3 me-lg-0 dropdown-toggle hidden-arrow"
                      href="#"
                      id="navbarDropdownMenuLink"
                      role="button"
                      aria-expanded="false"
                    >
                      <i class="fas fa-bell"></i>
                      <span class="badge rounded-pill badge-notification bg-danger"
                        >1</span
                      >
                    </a>
                    <ul
                      class="dropdown-menu dropdown-menu-end"
                      aria-labelledby="navbarDropdownMenuLink"
                    >
                      <li><a class="dropdown-item" href="#">Some news</a></li>
                      <li><a class="dropdown-item" href="#">Another news</a></li>
                      <li>
                        <a class="dropdown-item" href="#">Something else here</a>
                      </li>
                    </ul>
                  </li>

                  <!-- Icon -->
                  <li class="nav-item">
                    <a class="nav-link me-3 me-lg-0" href="#">
                      <i class="fas fa-fill-drip"></i>
                    </a>
                  </li>
                  <!-- Icon -->
                  <li class="nav-item me-3 me-lg-0">
                    <a class="nav-link" href="#">
                      <i class="fab fa-github"></i>
                    </a>
                  </li>

                  <!-- Icon dropdown -->
                  <li class="nav-item dropdown">
                    <a
                      data-mdb-dropdown-init
                      class="nav-link me-3 me-lg-0 dropdown-toggle hidden-arrow"
                      href="#"
                      id="navbarDropdown"
                      role="button"
                      aria-expanded="false"
                    >
                      <i class="flag-united-kingdom flag m-0"></i>
                    </a>
                    <ul
                      class="dropdown-menu dropdown-menu-end"
                      aria-labelledby="navbarDropdown"
                    >
                      <li>
                        <a class="dropdown-item" href="#"
                          ><i class="flag-united-kingdom flag"></i>English
                          <i class="fa fa-check text-success ms-2"></i
                        ></a>
                      </li>
                      <li><hr class="dropdown-divider" /></li>
                      <li>
                        <a class="dropdown-item" href="#"
                          ><i class="flag-poland flag"></i>Polski</a
                        >
                      </li>
                      <li>
                        <a class="dropdown-item" href="#"
                          ><i class="flag-china flag"></i>中文</a
                        >
                      </li>
                      <li>
                        <a class="dropdown-item" href="#"
                          ><i class="flag-japan flag"></i>日本語</a
                        >
                      </li>
                      <li>
                        <a class="dropdown-item" href="#"
                          ><i class="flag-germany flag"></i>Deutsch</a
                        >
                      </li>
                      <li>
                        <a class="dropdown-item" href="#"
                          ><i class="flag-france flag"></i>Français</a
                        >
                      </li>
                      <li>
                        <a class="dropdown-item" href="#"
                          ><i class="flag-spain flag"></i>Español</a
                        >
                      </li>
                      <li>
                        <a class="dropdown-item" href="#"
                          ><i class="flag-russia flag"></i>Русский</a
                        >
                      </li>
                      <li>
                        <a class="dropdown-item" href="#"
                          ><i class="flag-portugal flag"></i>Português</a
                        >
                      </li>
                    </ul>
                  </li>

                  <!-- Avatar -->
                  <li class="nav-item dropdown">
                    <a
                      data-mdb-dropdown-init
                      class="nav-link dropdown-toggle hidden-arrow d-flex align-items-center"
                      href="#"
                      id="navbarDropdownMenuLink"
                      role="button"
                      aria-expanded="false"
                    >
                      <img
                        src="https://mdbcdn.b-cdn.net/img/Photos/Avatars/img (31).webp"
                        class="rounded-circle"
                        height="22"
                        alt="Avatar"
                        loading="lazy"
                      />
                    </a>
                    <ul
                      class="dropdown-menu dropdown-menu-end"
                      aria-labelledby="navbarDropdownMenuLink"
                    >
                      <li><a class="dropdown-item" href="#">My profile</a></li>
                      <li><a class="dropdown-item" href="#">Settings</a></li>
                      <li><a class="dropdown-item" href="#">Logout</a></li>
                    </ul>
                  </li>
                </ul>
              </div>
              <!-- Container wrapper -->
            </nav>
            <!-- Navbar -->
          </header>
          <!--Main Navigation-->

          <!--Main layout-->
          <main style="margin-top: 58px">
            <div class="container">

            </div>
          </main>
          <!--Main layout-->

          <!--Footer-->
          <footer></footer>
          <!--Footer-->
        
        
    
        
            
          @media (min-width: 1400px) {
            main,
            header,
            #main-navbar {
              padding-left: 240px;
            }
          }
        
        
    
        
            
          // Initialization for ES Users
          import { Sidenav, Dropdown, Navbar, initMDB } from "mdb-ui-kit";

          initMDB({ Sidenav, Dropdown, Navbar });

          const sidenav = document.getElementById("sidenav-1");
          const sidenavInstance = Sidenav.getInstance(sidenav);

          let innerWidth = null;

          const setMode = (e) => {
            // Check necessary for Android devices
            if (window.innerWidth === innerWidth) {
              return;
            }

            innerWidth = window.innerWidth;

            if (window.innerWidth < 1400) {
              sidenavInstance.changeMode("over");
              sidenavInstance.hide();
            } else {
              sidenavInstance.changeMode("side");
              sidenavInstance.show();
            }
          };

          setMode();

          // Event listeners
          window.addEventListener("resize", setMode);
        
        
    
        
            
          const sidenav = document.getElementById("sidenav-1");
          const sidenavInstance = mdb.Sidenav.getInstance(sidenav);

          let innerWidth = null;

          const setMode = (e) => {
            // Check necessary for Android devices
            if (window.innerWidth === innerWidth) {
              return;
            }

            innerWidth = window.innerWidth;

            if (window.innerWidth < 1400) {
              sidenavInstance.changeMode("over");
              sidenavInstance.hide();
            } else {
              sidenavInstance.changeMode("side");
              sidenavInstance.show();
            }
          };

          setMode();

          // Event listeners
          window.addEventListener("resize", setMode);
        
        
    

Sidenav small and with categories

        
            
        <!-- Sidenav -->
        <nav
          data-mdb-sidenav-init
          id="sidenav-9"
          class="sidenav sidenav-sm"
          data-mdb-hidden="false"
          data-mdb-accordion="true"
        >
          <a
            data-mdb-ripple-init
            class="d-flex justify-content-center py-4 mb-3"
            style="border-bottom: 2px solid #f5f5f5"
            href="#!"
            data-mdb-ripple-color="primary"
          >
            <img
              id="MDB-logo"
              src="https://mdbcdn.b-cdn.net/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
              alt="MDB Logo"
              draggable="false"
            />
          </a>

          <ul class="sidenav-menu px-2 pb-5">
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-tachometer-alt fa-fw me-3"></i><span>Overview</span></a
              >
            </li>

            <li class="sidenav-item pt-3">
              <span class="sidenav-subheading text-muted">Create</span>
              <a class="sidenav-link" href="">
                <i class="fas fa-plus fa-fw me-3"></i><span>Project</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-plus fa-fw me-3"></i><span>Database</span></a
              >
            </li>

            <li class="sidenav-item pt-3">
              <span class="sidenav-subheading text-muted">Manage</span>
              <a class="sidenav-link" href="">
                <i class="fas fa-cubes fa-fw me-3"></i><span>Projects</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-database fa-fw me-3"></i><span>Databases</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-stream fa-fw me-3"></i><span>Custom domains</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-code-branch fa-fw me-3"></i><span>Repositories</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-users fa-fw me-3"></i><span>Team</span></a
              >
            </li>

            <li class="sidenav-item pt-3">
              <span class="sidenav-subheading text-muted">Maintain</span>
              <a class="sidenav-link" href="">
                <i class="fas fa-chart-pie fa-fw me-3"></i><span>Analytics</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-sync fa-fw me-3"></i><span>Backups</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-shield-alt fa-fw me-3"></i><span>Security</span></a
              >
            </li>

            <li class="sidenav-item pt-3">
              <span class="sidenav-subheading text-muted">Admin</span>
              <a class="sidenav-link" href="">
                <i class="fas fa-money-bill fa-fw me-3"></i><span>Billing</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-file-contract fa-fw me-3"></i><span>License</span></a
              >
            </li>

            <li class="sidenav-item pt-3">
              <span class="sidenav-subheading text-muted">Tools</span>
              <a class="sidenav-link" href="">
                <i class="fas fa-hand-pointer fa-fw me-3"></i><span>Drag & drop builder</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-code fa-fw me-3"></i><span>Online code editor</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fas fa-copy fa-fw me-3"></i><span>SFTP</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fab fa-jenkins fa-fw me-3"></i><span>Jenkins</span></a
              >
            </li>
            <li class="sidenav-item">
              <a class="sidenav-link" href="">
                <i class="fab fa-gitlab fa-fw me-3"></i><span>GitLab</span></a
              >
            </li>
          </ul>
        </nav>
        <!-- Sidenav -->

        <!-- Toggler -->
        <button
          data-mdb-ripple-init
          data-mdb-toggle="sidenav"
          data-mdb-target="#sidenav-9"
          class="btn btn-primary"
          aria-controls="#sidenav-9"
          aria-haspopup="true"
        >
          <i class="fas fa-bars"></i>
        </button>
        <!-- Toggler -->
        
        
    
        
            
        // Initialization for ES Users
        import { Sidenav, Ripple, initMDB } from "mdb-ui-kit";

        initMDB({ Sidenav, Ripple });
        
        
    

24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

Sidenav - API


Import

Importing components depends on how your application works. If you intend to use the MDBootstrap ES format, you must first import the component and then initialize it with the initMDB method. If you are going to use the UMD format, just import the mdb-ui-kit package.

        
            
          import { Sidenav, initMDB } from "mdb-ui-kit";
            
          initMDB({ Sidenav });
        
        
    
        
            
          import 'mdb-ui-kit';
        
        
    

Usage

Via data attributes

Using the Sidenav component doesn't require any additional JavaScript code - simply add data-mdb-sidenav-init attribute to element with .sidenav class and use other data attributes to set all options. For ES format, you must first import and call the initMDB method.

        
            
        <nav data-mdb-sidenav-init class="sidenav" id="sidenav" data-mdb-color="secondary">
          <!-- ... -->
        </nav>

        <button type="button" data-mdb-toggle="sidenav" data-mdb-target="#sidenav">
          Toggle sidenav
        </button>
      
        
    

Via JavaScript

        
            
        const sidenavInstance = new Sidenav(document.getElementById('sidenav'));
      
        
    
        
            
        const sidenavInstance = new mdb.Sidenav(document.getElementById('sidenav'));
      
        
    

Via jQuery

Note: By default, MDB does not include jQuery and you have to add it to the project on your own.

        
            
        $(document).ready(() => {
          $('#sidenav').sidenav('update', { color: 'warning'})
        });
      
        
    

Options

Options can be passed via data attributes or JavaScript. For data attributes, append the option name to data-mdb-, as in data-mdb-backdrop-class="".

Name Type Default Description
accordion Boolean false Enables accordion behavior in a navigation container
backdrop Boolean true Adds/removes a backdrop in an over mode
backdropClass String | null null Adds a custom class to a backdrop
closeOnEsc Boolean true Closes a side drawer on ESC key (only when toggler is visible)
color String 'primary' Changes a color of active/hovered links and categories
content String | null null Selector for a content to which a component will add paddings/margins in push/side modes
expandOnHover Boolean false Expands/collapses slim mode on mouseover / mouseleave
focusTrap Boolean true Determines whether focus is trapped within the sidenav on open in over mode
hidden Boolean true Initializes navigation outside a viewport
mode String over Sets position mode - available options: over, side, push
scrollContainer String | null null Selector for a scrollable container inside a side drawer
slim Boolean false Enables a slim mode
slimCollapsed Boolean false Initializes a component in a slim mode
slimWidth Number 77 A component's width in a slim mode (pixels)
position String 'fixed' Sets CSS position - accepted values: fixed, absolute
right Boolean false Initializes sidenav on a right side
transitionDuration Number 300 Sets a length of transitions (in milliseconds)
width Number 240 A component's width (pixels)

Methods

Name Description Example
changeMode Changes a position mode (options: over, side, push) sidenavInstance.changeMode('push')
dispose Removes mdb.Sidenav instance sidenavInstance.dispose()
getInstance Static method which allows you to get the sidenav instance associated to a DOM element. Sidenav.getInstance(sidenav)
getOrCreateInstance Static method which returns the sidenav instance associated to a DOM element or create a new one in case it wasn't initialized. Sidenav.getOrCreateInstance(sidenav)
hide Hides a navigation drawer sidenavInstance.hide()
show Shows a navigation drawer sidenavInstance.show()
toggle Manually toggles a component sidenavInstance.toggle()
toggleSlim Manually toggles a slim state sidenavInstance.toggleSlim()
update(options) Updates a component sidenavInstance.update({ mode: 'side' })
        
            
        const sidenav = document.getElementById('mySidenav')
        const sidenavInstance = new Sidenav(sidenav)
        sidenavInstance.show()
      
        
    
        
            
      const sidenav = document.getElementById('mySidenav')
      const sidenavInstance = new mdb.Sidenav(sidenav)
      sidenavInstance.show()
    
        
    

Events

Name Description
show.mdb.sidenav Emitted when a component has been toggled
shown.mdb.sidenav Emitted once a component is shown (after transition)
hide.mdb.sidenav Emitted when a component has been toggled
hidden.mdb.sidenav Emitted once a component is hidden (after transition)
expand.mdb.sidenav Emitted when a slim mode has been toggled
expanded.mdb.sidenav Emitted once a component has expanded from a slim mode (after transition)
collapse.mdb.sidenav Emitted when a slim mode has been toggled
collapsed.mdb.sidenav Emitted once a component has collapsed into a slim mode (after transition)
update.mdb.sidenav Emitted whenever a content's offset should be updated (push/side mode). You can access the suggested values by event.padding and event.margin properties
        
            
        const sidenav = document.getElementById('mySidenav')
        sidenav.addEventListener('update.mdb.sidenav', event => {
          console.log(event.margin, event.padding);
        });
      
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, sidenav now use local CSS variables on .sidenav and .sidenav-backdrop for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Sidenav CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // .sidenav
        --#{$prefix}sidenav-transform: #{$sidenav-transform};
        --#{$prefix}sidenav-zindex: #{$sidenav-zindex};
        --#{$prefix}sidenav-background-color: #{$sidenav-background-color};
        --#{$prefix}sidenav-width: #{$sidenav-width};
        --#{$prefix}sidenav-height: #{$sidenav-height};
        --#{$prefix}sidenav-box-shadow: #{$sidenav-box-shadow};
        --#{$prefix}sidenav-data-hidden-false-transform: #{$sidenav-data-hidden-false-transform};
        --#{$prefix}sidenav-data-color-light-color: #{$sidenav-data-color-light-color};
        --#{$prefix}sidenav-data-right-true-transform: #{$sidenav-data-right-true-transform};
        --#{$prefix}sidenav-data-slim-collapsed-true-width: #{$sidenav-data-slim-collapsed-true-width};
        --#{$prefix}sidenav-menu-padding: #{$sidenav-menu-padding};
        --#{$prefix}sidenav-collapse-sidenav-link-font-size: #{$sidenav-collapse-sidenav-link-font-size};
        --#{$prefix}sidenav-collapse-sidenav-link-height: #{$sidenav-collapse-sidenav-link-height};
        --#{$prefix}sidenav-link-font-size: #{$sidenav-link-font-size};
        --#{$prefix}sidenav-link-padding-y: #{$sidenav-link-padding-y};
        --#{$prefix}sidenav-link-padding-x: #{$sidenav-link-padding-x};
        --#{$prefix}sidenav-collapse-sidenav-link-padding-left: #{$sidenav-collapse-sidenav-link-padding-left};
        --#{$prefix}sidenav-link-height: #{$sidenav-link-height};
        --#{$prefix}sidenav-link-border-radius: #{$sidenav-link-border-radius};
        --#{$prefix}sidenav-link-transition: #{$sidenav-link-transition};
        --#{$prefix}sidenav-link-hover-color: #{$sidenav-link-hover-color};
        --#{$prefix}sidenav-link-hover-background-color: #{$sidenav-link-hover-background-color};
        --#{$prefix}sidenav-link-active-focus-background-color: #{$sidenav-link-active-focus-background-color};
        --#{$prefix}sidenav-link-active-color: #{$sidenav-link-active-color};
        --#{$prefix}sidenav-link-active-focus-color: #{$sidenav-link-active-focus-color};
        --#{$prefix}sidenav-subheading-font-size: #{$sidenav-subheading-font-size};
        --#{$prefix}sidenav-subheading-padding-y: #{$sidenav-subheading-padding-y};
        --#{$prefix}sidenav-subheading-padding-x: #{$sidenav-subheading-padding-x};
        --#{$prefix}sidenav-subheading-fw: #{$sidenav-subheading-fw};
        --#{$prefix}sidenav-sm-link-pt: #{$sidenav-sm-link-pt};
        --#{$prefix}sidenav-sm-link-pb: #{$sidenav-sm-link-pb};
        --#{$prefix}sidenav-rotate-icon-margin-right: #{$sidenav-rotate-icon-margin-right};
        --#{$prefix}sidenav-rotate-icon-transition: #{$sidenav-rotate-icon-transition};
        --#{$prefix}sidenav-light-color: #{$sidenav-light-color};

        // .sidenav-backdrop
        --#{$prefix}sidenav-backdrop-zindex: #{$sidenav-backdrop-zindex};
        --#{$prefix}sidenav-backdrop-background-color: #{$sidenav-backdrop-background-color};

        // .sidenav-slim
        --#{$prefix}sidenav-slim-link-padding-left: #{$sidenav-slim-link-padding-left};
      
        
        
    

SCSS variables

        
            
        $sidenav-zindex: 1035;
        $sidenav-backdrop-zindex: 1034;

        $sidenav-transform: translateX(-100%);
        $sidenav-color: var(--#{$prefix}surface-color);
        $sidenav-background-color: var(--#{$prefix}surface-bg);
        $sidenav-width: 240px;
        $sidenav-height: 100vh;
        $sidenav-box-shadow: 0 4px 12px 0 rgba(var(--#{$prefix}box-shadow-color-rgb), 0.07),
          0 2px 4px rgba(var(--#{$prefix}box-shadow-color-rgb), 0.05);

        $sidenav-data-hidden-false-transform: translateX(0%);
        $sidenav-data-color-light-color: rgba(255, 255, 255, 0.6);
        $sidenav-data-right-true-transform: translateX(100%);
        $sidenav-data-slim-collapsed-true-width: 77px;

        $sidenav-menu-padding: 0.2rem;

        $sidenav-collapse-sidenav-link-font-size: 0.78rem;
        $sidenav-collapse-sidenav-link-height: 1.5rem;
        $sidenav-collapse-sidenav-link-padding-left: 3.4rem;

        $sidenav-link-font-size: 0.89rem;
        $sidenav-link-padding-y: 1rem;
        $sidenav-link-padding-x: 1.5rem;
        $sidenav-link-height: 3rem;
        $sidenav-link-border-radius: 5px;
        $sidenav-link-transition: all 0.3s linear;

        $sidenav-link-hover-color: inherit;
        $sidenav-link-hover-background-color: var(--#{$prefix}highlight-bg-color);

        $sidenav-link-active-focus-color: $sidenav-link-hover-color;
        $sidenav-link-active-focus-background-color: $sidenav-link-hover-background-color;
        $sidenav-link-active-color: $sidenav-link-hover-color;

        $sidenav-rotate-icon-margin-right: 0.8rem;
        $sidenav-rotate-icon-transition: transform 0.3s;

        $sidenav-backdrop-background-color: rgba(0, 0, 0, var(--#{$prefix}sidenav-backdrop-opacity));

        $sidenav-light-color: $sidenav-data-color-light-color;

        $sidenav-subheading-font-size: 0.6rem;
        $sidenav-subheading-padding-y: 1rem;
        $sidenav-subheading-padding-x: 1.5rem;
        $sidenav-subheading-fw: 700;

        $sidenav-sm-link-pt: 0.4rem;
        $sidenav-sm-link-pb: $sidenav-sm-link-pt;

        $sidenav-slim-link-padding-left: 1rem;

Sidenav

Vue Bootstrap 5 Sidenav component

The side navigation component provides an easy way to navigate through your website. Its appearance & behaviour are easily adjustable with data-mdb-attributes and methods - additional functionality such as touch events and focus trap (in an over mode) are available out of the box.

Note: Read the API tab to find all available options and advanced customization

View full screen demo

Basic example

In the basic version, the side navigation will appear over your website's content after clicking on a toggler.

Note: Use v-model property on MDBSideNav to toggle navigation.

        
            
            <template>
              <!-- Sidenav-->
              <MDBSideNav v-model="sidenav1" id="sidenav1">
                <MDBSideNavMenu>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 1</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin" title="Category 1">
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 2</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 3</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin-wink" title="Category 2">
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 4</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 5</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
              </MDBSideNav>
              <!-- Sidenav-->
              <!-- Toggler -->
              <div class="text-center">
                <MDBBtn
                  color="primary"
                  aria-controls="#sidenav1"
                  @click="sidenav1 = !sidenav1"
                >
                  <MDBIcon icon="bars" />
                </MDBBtn>
              </div>
              <!-- Toggler -->
            </template>
          
        
    
        
            
            <script>
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBBtn,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              export default {
                components: {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBBtn,
                  MDBIcon
                },
                setup() {
                  const sidenav1 = ref(true);

                  return {
                    sidenav1
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBBtn,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const sidenav1 = ref(true);
            </script>
          
        
    

Positioning

While using the mode="side" and mode="push" properties, you can specify the contentSelector property for your page's content - this way, the component will automatically update paddings and margins.

Select mode:

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc magna massa, ornare quis interdum a, cursus in quam. Quisque risus libero, cursus eget eros vitae, aliquam placerat velit. Vivamus luctus eros id sagittis luctus. Pellentesque felis nulla, rhoncus viverra nunc vitae, viverra aliquam ante. Ut feugiat mattis tempor.
        
            
            <template>
              <div class="d-flex my-4">
                <MDBBtn
                  @click="setMode('push')"
                  :class="{
                    btn: true,
                    'btn-outline-primary': !(mode === 'push'),
                    'btn-primary': mode === 'push',
                    'me-3': true
                  }"
                >
                  Push
                </MDBBtn>
                <MDBBtn
                  @click="setMode('side')"
                  :class="{
                    btn: true,
                    'btn-outline-primary': !(mode === 'side'),
                    'btn-primary': mode === 'side',
                    'me-3': true
                  }"
                >
                  Side
                </MDBBtn>
                <MDBBtn
                  @click="setMode('over')"
                  :class="{
                    btn: true,
                    'btn-outline-primary': !(mode === 'over'),
                    'btn-primary': mode === 'over',
                    'me-3': true
                  }"
                >
                  Over
                </MDBBtn>
              </div>
              <section
                style="position: relative; overflow-y: hidden; min-height: 400px"
                class="border p-4 d-flex justify-content-center mb-4"
              >
                <!-- Sidenav-->
                <MDBSideNav
                  v-model="sidenavPositions"
                  id="sidenavPositions"
                  absolute
                  :mode="mode"
                  contentSelector="#content"
                >
                  <MDBSideNavMenu>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                        <span>Link 1</span>
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem collapse icon="grin" title="Category 1" show>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Link 2</MDBSideNavLink>
                      </MDBSideNavItem>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Link 3</MDBSideNavLink>
                      </MDBSideNavItem>
                    </MDBSideNavItem>
                    <MDBSideNavItem collapse icon="grin-wink" title="Category 2" show>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Link 4</MDBSideNavLink>
                      </MDBSideNavItem>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Link 5</MDBSideNavLink>
                      </MDBSideNavItem>
                    </MDBSideNavItem>
                  </MDBSideNavMenu>
                </MDBSideNav>
                <!-- Sidenav-->
                <!-- Content -->
                <div style="padding: 20px" class="text-center" id="content">
                  <!-- Toggler -->
                  <MDBBtn
                    color="primary"
                    aria-controls="#sidenavPositions"
                    @click="sidenavPositions = !sidenavPositions"
                  >
                    <MDBIcon icon="bars" />
                  </MDBBtn>
                  <!-- Toggler -->
                  <div class="d-flex my-5 text-start">
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc
                    magna massa, ornare quis interdum a, cursus in quam. Quisque risus
                    libero, cursus eget eros vitae, aliquam placerat velit. Vivamus
                    luctus eros id sagittis luctus. Pellentesque felis nulla, rhoncus
                    viverra nunc vitae, viverra aliquam ante. Ut feugiat mattis
                    tempor.
                  </div>
                </div>
                <!-- Content -->
              </section>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBBtn,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBBtn,
                  MDBIcon
                },
                setup() {
                  const sidenavPositions = ref(true);
                  const mode = ref("over");
                  const setMode = value => {
                    mode.value = value;
                  };

                  return {
                    sidenavPositions,
                    mode,
                    setMode
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBBtn,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const sidenavPositions = ref(true);
              const mode = ref("over");
              const setMode = (value: string) => {
                mode.value = value;
              };
            </script>
          
        
    

Colors example

Setting the color property will change the background and font color of active/hovered links and categories.

Note: This option works for MDB 5 main colors - primary, secondary, warning, danger, success, info, dark and light.

Select color:

        
            
            <template>
              <!-- Sidenav-->
              <MDBSideNav
                v-model="sidenavColors"
                id="sidenavColors"
                :color="sidenavColor"
                contentSelector="#content"
                mode="side"
                closeOnEsc
              >
                <MDBSideNavMenu>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 1</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin" title="Category 1" show>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 2</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 3</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin-wink" title="Category 2" show>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 4</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 5</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
              </MDBSideNav>
              <!-- Sidenav-->
              <!-- Content -->
              <div class="my-3" id="content">
                <MDBBtn 
                  id="sidenav-primary" 
                  color="primary" 
                  v-on:click="setSidenavColor"
                >
                  Primary
                </MDBBtn>
                <MDBBtn id="sidenav-secondary" color="secondary" v-on:click="setSidenavColor">
                  Secondary
                </MDBBtn>
                <MDBBtn 
                  id="sidenav-warning" 
                  color="warning" 
                  v-on:click="setSidenavColor"
                >
                  Warning
                </MDBBtn>
                <MDBBtn 
                  id="sidenav-danger" 
                  color="danger" 
                  v-on:click="setSidenavColor"
                >
                  Danger
                </MDBBtn>
                <MDBBtn 
                  id="sidenav-success" 
                  color="success" 
                  v-on:click="setSidenavColor"
                >
                  Success
                </MDBBtn>
                <MDBBtn 
                    id="sidenav-info" 
                    color="info" 
                    v-on:click="setSidenavColor"
                >
                  Info
                </MDBBtn>
                <MDBBtn 
                  id="sidenav-dark" 
                  color="dark" 
                  v-on:click="setSidenavColor"
                >
                  Dark
                </MDBBtn>
                <MDBBtn 
                  id="sidenav-light" 
                  color="light" 
                  v-on:click="setSidenavColor"
                >
                  Light
                </MDBBtn>
              </div>
              <!-- Content -->
              <!-- Toggler-->
              <div style="padding: 20px" class="text-center">
                <MDBBtn
                  color="primary"
                  aria-controls="#sidenavColors"
                  v-on:click="sidenavColors = !sidenavColors"
                >
                  <MDBIcon icon="bars" />
                </MDBBtn>
              </div>
              <!-- Toggler-->
            </template>
          
        
    
        
            
            <script>
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBBtn,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBBtn,
                  MDBIcon
                },
                setup() {
                  const sidenavColors = ref(true);
                  const sidenavColor = ref("primary");
                  const setSidenavColor = event => {
                    sidenavColor.value = event.target.id.split("-")[1];
                  };

                  return {
                    sidenavColors,
                    sidenavColor,
                    setSidenavColor
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBBtn,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const sidenavColors = ref(true);
              const sidenavColor = ref("primary");
              const setSidenavColor = (event: Event) => {
                sidenavColor.value = (event.target as HTMLElement).id.split("-")[1];
              };
            </script>
          
        
    

Inner scroll

Passing a scrollContainer property to a MDBSideNavMenu will initialize MDBScrollbar on this element (by default it's initialized on the MDBSideNav).

        
            
            <template>
              <!-- Sidenav-->
              <MDBSideNav v-model="sidenavScroll" id="sidenavScroll">
                <div class="text-center">
                  <h3 class="py-4">Examples</h3>
                  <hr class="m-0" />
                </div>
                <MDBSideNavMenu scrollContainer>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 1</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 2</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 3</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 4</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 5</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 6</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 7</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 8</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
                <div class="text-center" style="min-height: 3rem">
                  <hr class="mt-0 mb-2" />
                  <small>mdbootstrap.com</small>
                </div>
              </MDBSideNav>
              <!-- Sidenav-->
        
              <!-- Toggler-->
              <div style="padding: 20px" class="text-center">
                <MDBBtn
                  color="primary"
                  aria-controls="#sidenavScroll"
                  @click="sidenavScroll = !sidenavScroll"
                >
                  <MDBIcon icon="bars" />
                </MDBBtn>
              </div>
              <!-- Toggler-->
            </template>
          
        
    
        
            
            <script>
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon,
                MDBBtn
              } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              export default {
                components: {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon,
                  MDBBtn
                },
                setup() {
                  const sidenavScroll = ref(true);

                  return {
                    sidenavScroll
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon,
                MDBBtn
              } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const sidenavScroll = ref(true);
            </script>
          
        
    

Slim example

Use slim and slimColapsed properties to manage slim mode for the MDBSideNav component. You can hide elements in the slim mode by setting sidenav-non-slim class on them or by adding nonSlim property if youo want to hide the title of collapsible MDBSideNavItem. Elements without this attribute will appear in both collapsed and non collapsed mode.

        
            
            <template>
              <!-- Sidenav-->
              <MDBSideNav
                v-model="sidenavSlim"
                :slim="slim1"
                :slimCollapsed="!slimShow1 && !slimShow2"
                :backdrop="false"
                id="sidenavSlim"
              >
                <MDBSideNavMenu>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="me-3" />
                      <span class="sidenav-non-slim">Link 1</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem
                    collapse
                    icon="grin"
                    title="Category 1"
                    :nonSlim="slim1"
                    :show="slimShow1"
                    @click="slimShow1 = !slimShow1"
                  >
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 2</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 3</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                  <MDBSideNavItem
                    collapse
                    icon="grin-wink"
                    title="Category 2"
                    :nonSlim="slim1"
                    :show="slimShow2"
                    @click="slimShow2 = !slimShow2"
                  >
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 4</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 5</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
              </MDBSideNav>
              <!-- Sidenav-->
              <!-- Toggler-->
              <div class="text-center">
                <MDBBtn
                  color="primary"
                  aria-controls="#sidenavSlim"
                  @click="sidenavSlim = !sidenavSlim"
                >
                  <MDBIcon icon="bars" />
                </MDBBtn>
                <MDBBtn
                  color="primary"
                  aria-controls="#sidenavSlim"
                  @click="
                    () => {
                      if (!slim1) {
                        slimShow1 = false;
                        slimShow2 = false;
                      }
                      slim1 = !slim1;
                    }
                  "
                >
                  Toggle slim
                </MDBBtn>
              </div>
              <!-- Toggler-->
            </template>
          
        
    
        
            
            <script>
              import { MDBSideNav, MDBSideNavMenu, MDBSideNavItem, MDBSideNavLink, MDBIcon, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              export default {
                components: {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon,
                  MDBBtn
                },
                setup() {
                  const slim1 = ref(true);
                  const sidenavSlim = ref(true);
                  const slimShow1 = ref(false);
                  const slimShow2 = ref(false);

                  return {
                    slim1,
                    sidenavSlim,
                    slimShow1,
                    slimShow2
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBSideNav, MDBSideNavMenu, MDBSideNavItem, MDBSideNavLink, MDBIcon, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const slim1 = ref(true);
              const sidenavSlim = ref(true);
              const slimShow1 = ref(false);
              const slimShow2 = ref(false);
            </script>
          
        
    

Accordion example

Using accordion property on MDBSideNavMenu will allow expanding only one category at once.

        
            
            <template>
              <!-- Sidenav-->
              <MDBSideNav v-model="sidenavAccordion" id="sidenavAccordion">
                <MDBSideNavMenu accordion>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 1</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin" title="Category 1">
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 2</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 3</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin-wink" title="Category 2">
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 4</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 5</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
              </MDBSideNav>
              <!-- Sidenav-->
              <!-- Toggler-->
              <div style="padding: 20px" class="text-center">
                <MDBBtn
                  color="primary"
                  aria-controls="#sidenavAccordion"
                  @click="sidenavAccordion = !sidenavAccordion"
                >
                  <MDBIcon icon="bars" />
                </MDBBtn>
              </div>
              <!-- Toggler-->
            </template>
          
        
    
        
            
            <script>
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon,
                MDBBtn
              } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              export default {
                components: {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon,
                  MDBBtn
                },
                setup() {
                  const sidenavAccordion = ref(true);

                  return {
                    sidenavAccordion
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon,
                MDBBtn
              } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const sidenavAccordion = ref(true);
            </script>
          
        
    

Groups

You can use more than one menu inside the side navigation - in this case, accordions will be independent of one another.

        
            
            <template>
              <!-- Sidenav-->
              <MDBSideNav v-model="sidenavGroups" id="sidenavGroups">
                <MDBSideNavMenu accordion>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 1</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin" title="Category 1">
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 2</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 3</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin-wink" title="Category 2">
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 4</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 5</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
                <hr />
                <MDBSideNavMenu accordion>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 6</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin" title="Category 3">
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 7</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 8</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin-wink" title="Category 4">
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 9</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 10</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
              </MDBSideNav>
              <!-- Sidenav-->
              <!-- Toggler-->
              <div style="padding: 20px" class="text-center">
                <MDBBtn
                  color="primary"
                  aria-controls="#sidenavGroups"
                  @click="sidenavGroups = !sidenavGroups"
                >
                  <MDBIcon icon="bars" />
                </MDBBtn>
              </div>
              <!-- Toggler-->
            </template>
          
        
    
        
            
            <script>
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon,
                MDBBtn
              } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              export default {
                components: {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon,
                  MDBBtn
                },
                setup() {
                  const sidenavGroups = ref(true);

                  return {
                    sidenavGroups
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon,
                MDBBtn
              } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const sidenavGroups = ref(true);
            </script>
          
        
    

Right

Place the navigation on the other side by setting the right property on MDBSideNav.

        
            
            <template>
              <!-- Sidenav-->
              <MDBSideNav v-model="sidenavRight" right id="sidenavRight">
                <MDBSideNavMenu>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon iconStyle="far" icon="smile" class="fa-fw me-3" />
                      <span>Link 1</span>
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin" title="Category 1" show>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 2</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 3</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="grin-wink" title="Category 2" show>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 4</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Link 5</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
              </MDBSideNav>
              <!-- Sidenav-->
              <!-- Toggler-->
              <div class="text-center">
                <MDBBtn
                  color="primary"
                  aria-controls="#sidenavRight"
                  @click="sidenavRight = !sidenavRight"
                >
                  <MDBIcon icon="bars" />
                </MDBBtn>
              </div>
              <!-- Toggler-->
            </template>
          
        
    
        
            
            <script>
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon,
                MDBBtn
              } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              export default {
                components: {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon,
                  MDBBtn
                },
                setup() {
                  const sidenavRight = ref(true);

                  return {
                    sidenavRight,
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon,
                MDBBtn
              } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const sidenavRight = ref(true);
            </script>
          
        
    

Full-screen examples

The following examples show various settings of the side navigation component in a full-screen mode.


1. Basic side navigation

Click the toggler to show the navigation (over mode).

        
            
              <template>
                <!-- Sidenav-->
                <MDBSideNav
                  v-model="sidenavBasic"
                  id="sidenavBasic"
                  contentSelector="#page-content"
                  :closeOnEsc="true"
                  :backdrop="true"
                  backdropStyle="position: fixed"
                >
                  <div class="mt-4">
                    <div id="header-content" class="ps-3">
                      <img
                        src="https://mdbootstrap.com/img/Photos/Avatars/img%20(23).webp"
                        alt="avatar"
                        class="rounded-circle img-fluid mb-3"
                        style="max-width: 50px;"
                      />
          
                      <h4>
                        <span style="white-space: nowrap;">Ann Smith</span>
                      </h4>
                      <p>ann_s@mdbootstrap.com</p>
                    </div>
                    <hr class="mb-0" />
                  </div>
                  <MDBSideNavMenu>
                    <MDBSideNavItem>
                      <MDBSideNavLink href="/">
                        <MDBIcon icon="envelope" class="fas fa-fw me-3"/>
                        Inbox
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="paper-plane" class="fas fa-fw me-3"/>
                        Outbox
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem collapse title="Contacts" icon="address-book">
                      <MDBSideNavItem>
                        <MDBSideNavLink>Family</MDBSideNavLink>
                      </MDBSideNavItem>
                      <MDBSideNavItem>
                        <MDBSideNavLink 
                          href="/previews/mdb-ui-kit/sidenav/2.html"
                        >
                          Friends
                        </MDBSideNavLink>
                      </MDBSideNavItem>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Work</MDBSideNavLink>
                      </MDBSideNavItem>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="file" class="fas fa-fw me-3"/>
                        Drafts
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="heart" class="fas fa-fw me-3"/>
                        Favourites
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="star" class="fas fa-fw me-3"/>
                        Starred
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="trash" class="fas fa-fw me-3"/>
                        Trash
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="ban" class="fas fa-fw me-3"/>
                        Spam
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem collapse title="Categories" icon="tag" show>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Social</MDBSideNavLink>
                      </MDBSideNavItem>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Notifications</MDBSideNavLink>
                      </MDBSideNavItem>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Recent</MDBSideNavLink>
                      </MDBSideNavItem>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Uploads</MDBSideNavLink>
                      </MDBSideNavItem>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Backups</MDBSideNavLink>
                      </MDBSideNavItem>
                      <MDBSideNavItem>
                        <MDBSideNavLink>Offers</MDBSideNavLink>
                      </MDBSideNavItem>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="sticky-note" class="fas fa-fw me-3"/>
                        Notes
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="user-circle" class="fas fa-fw me-3"/>
                        Personal
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="ellipsis-h" class="fas fa-fw me-3"/>
                        More
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavMenu>
                  <hr class="m-0" />
                  <MDBSideNavMenu>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="cogs" class="fas fa-fw me-3"/>
                        Settings
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="user" class="fas fa-fw me-3"/>
                        Profile
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="shield-alt" class="fas fa-fw me-3"/>
                        Privacy
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>
                        <MDBIcon icon="user-astronaut" class="fas fa-fw me-3"/>
                        Logout
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavMenu>
                  <div class="text-center" style="height: 100px;">
                    <hr class="mb-4 mt-0" />
                    <p>MDBootstrap.com</p>
                  </div>
                </MDBSideNav>
          
                <div class="text-center page-intro bg-light" id="page-content">
                  <div class="text-center py-5">
                    <MDBBtn
                      color="primary"
                      aria-controls="#sidenavBasic"
                      @click="sidenavBasic = !sidenavBasic"
                      class="m-5"
                    >
                      <MDBIcon icon="bars" />
                    </MDBBtn>
                    <div>
                      <img
                        class="rounded"
                        style="max-width: 80%"
                        src="https://mdbootstrap.com/img/Photos/Others/img%20(45).webp"
                      />
                    </div>
                  </div>
                </div>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon,
                  MDBBtn
                } from "mdb-vue-ui-kit";
                import { ref } from "vue";
          
                export default {
                  components: {
                    MDBSideNav,
                    MDBSideNavMenu,
                    MDBSideNavItem,
                    MDBSideNavLink,
                    MDBIcon,
                    MDBBtn
                  },
                  setup() {
                    const sidenavBasic = ref(true);

                    return {
                      sidenavBasic
                    };
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon,
                  MDBBtn
                } from "mdb-vue-ui-kit";
                import { ref } from "vue";
          
                const sidenavBasic = ref(true);
              </script>
            
        
    
        
            
              <style>
                .page-intro {
                  width: 100%;
                  height: 100vh;
                }
              </style>
            
        
    

2. Side navigation with a mode transition

Resize the window to change the mode from side to over.

        
            
            <template>
              <!-- Sidenav-->
              <MDBSideNav
                v-model="sidenavMode"
                id="sidenavMode"
                :modeBreakpoint="900"
                :side="side"
                :over="over"
                contentSelector="#page-content"
                :closeOnEsc="true"
                backdropStyle="position: fixed"
              >
                <div class="mt-4">
                  <div id="header-content" class="ps-3">
                    <img
                      src="https://mdbootstrap.com/img/Photos/Avatars/img%20(23).webp"
                      alt="avatar"
                      class="rounded-circle img-fluid mb-3"
                      style="max-width: 50px;"
                    />
          
                    <h4>
                      <span style="white-space: nowrap;">Ann Smith</span>
                    </h4>
                    <p>ann_s@mdbootstrap.com</p>
                  </div>
                  <hr class="mb-0" />
                </div>
                <MDBSideNavMenu>
                  <MDBSideNavItem>
                    <MDBSideNavLink href="/">
                      <MDBIcon icon="envelope" class="fas fa-fw me-3"/>
                      Inbox
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="paper-plane" class="fas fa-fw me-3"/>
                      Outbox
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="address-book" title="Contacts">
                    <MDBSideNavItem>
                      <MDBSideNavLink>Family</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink href="/previews/mdb-ui-kit/sidenav/2.html">
                        Friends
                      </MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Work</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="file" class="fas fa-fw me-3"/>
                      Drafts
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="heart" class="fas fa-fw me-3"/>
                      Favourites
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="star" class="fas fa-fw me-3"/>
                      Starred
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="trash" class="fas fa-fw me-3"/>
                      Trash
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="ban" class="fas fa-fw me-3"/>
                      Spam
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem collapse icon="tag" title="Categories">
                    <MDBSideNavItem>
                      <MDBSideNavLink>Social</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Notifications</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Recent</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Uploads</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Backups</MDBSideNavLink>
                    </MDBSideNavItem>
                    <MDBSideNavItem>
                      <MDBSideNavLink>Offers</MDBSideNavLink>
                    </MDBSideNavItem>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="sticky-note" class="fas fa-fw me-3"/>
                      Notes
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="user-circle" class="fas fa-fw me-3"/>
                      Personal
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="ellipsis-h" class="fas fa-fw me-3"/>
                      More
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
                <hr class="m-0" />
                <MDBSideNavMenu>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="cogs" class="fas fa-fw me-3"/>
                      Settings
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="user" class="fas fa-fw me-3"/>
                      Profile
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="shield-alt" class="fas fa-fw me-3"/>
                      Privacy
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem>
                    <MDBSideNavLink>
                      <MDBIcon icon="user-astronaut" class="fas fa-fw me-3"/>
                        Logout
                    </MDBSideNavLink>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
                <div class="text-center" style="height: 100px;">
                  <hr class="mb-4 mt-0" />
                  <p>MDBootstrap.com</p>
                </div>
              </MDBSideNav>
              <!-- Sidenav-->
              <!-- Content-->
              <div class="text-center page-intro bg-light" id="page-content">
                <div class="text-center py-5">
                  <h3 class="my-5">Resize to change the mode</h3>
                  <div>
                    <img
                      class="rounded"
                      style="max-width: 80%"
                      src="https://mdbootstrap.com/img/Photos/Others/img%20(53).webp"
                    />
                  </div>
                  <!-- Toggler-->
                  <MDBBtn
                    class="mt-5"
                    color="dark"
                    aria-controls="#sidenavMode"
                    @click="sidenavMode = !sidenavMode"
                  >
                    <MDBIcon icon="bars" />
                  </MDBBtn>
                  <!-- Toggler-->
                </div>
              </div>
              <!-- Content-->
            </template>
          
        
    
        
            
            <script>
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon,
                MDBBtn
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon,
                  MDBBtn
                },
                setup() {
                  const sidenavMode = ref(true);
                  const side = ref(true);
                  const over = ref(false);

                  return {
                    sidenavMode,
                    side,
                    over
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon,
                MDBBtn
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const sidenavMode = ref(true);
              const side = ref(true);
              const over = ref(false);
            </script>
          
        
    
        
            
            <style>
              .page-intro {
                background-size: cover;
                background-position-x: center;
                background-color: white;
                width: 100vw;
                height: 100vh;
              }
            </style>
          
        
    

3. Slim side navigation (dark)

Non-expandable slim sidenav with a dark background and custom width.

        
            
            <template>
              <!-- Sidenav-->
              <MDBSideNav
                v-model="sidenavSlimDark"
                id="sidenavSlimDark"
                contentSelector="#page-content"
                :slim="true"
                :slimCollapsed="true"
                :slimWidth="90"
                color="light"
                dark
                :backdrop="false"
              >
                <div class="text-center mt-4">
                  <a class="ripple rounded-circle" data-mdb-color="light" href="#">
                    <img
                      src="https://mdbootstrap.com/img/Photos/Avatars/img%20(29).webp"
                      alt="avatar"
                      class="rounded-circle img-fluid"
                      style="max-width: 60px;"
                    />
                  </a>
                </div>
                <hr />
                <MDBSideNavMenu>
                  <MDBSideNavItem class="my-3">
                    <MDBSideNavLink class="p-0 d-flex justify-content-center">
                      <MDBIcon iconStyle="far" icon="heart" size="2x"></MDBIcon
                    ></MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem class="my-3">
                    <MDBSideNavLink class="p-0 d-flex justify-content-center">
                      <MDBIcon iconStyle="far" icon="envelope" size="2x"></MDBIcon
                    ></MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem class="my-3">
                    <MDBSideNavLink class="p-0 d-flex justify-content-center">
                      <MDBIcon iconStyle="far" icon="user" size="2x"></MDBIcon
                    ></MDBSideNavLink>
                  </MDBSideNavItem>
                  <MDBSideNavItem class="my-3">
                    <MDBSideNavLink class="p-0 d-flex justify-content-center">
                      <MDBIcon icon="cogs" size="2x"></MDBIcon
                    ></MDBSideNavLink>
                  </MDBSideNavItem>
                </MDBSideNavMenu>
              </MDBSideNav>
              <!-- Sidenav-->
          
              <!-- Content-->
              <div id="content" class="page-intro">
                <div class="mask p-4 text-center">
                  <h1>Natalie Smith</h1>
                  <h2>Portfolio</h2>
                </div>
              </div>
              <!-- Content-->
            </template>
          
        
    
        
            
            <script>
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";
          
              export default {
                components: {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBIcon
                },
                setup() {
                  const sidenavSlimDark = ref(true);
          
                  return {
                    sidenavSlimDark
                  };
                }
              };
              </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBSideNav,
                MDBSideNavMenu,
                MDBSideNavItem,
                MDBSideNavLink,
                MDBIcon
              } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const sidenavSlimDark = ref(true);
              </script>
          
        
    
        
            
            <style>
              .page-intro {
                background-image: url("https://mdbootstrap.com/img/Photos/Others/img%20(52).webp");
                background-size: cover;
                background-position-x: center;
                background-color: white;
                width: 100vw;
                height: 100vh;
              }
          
              .mask {
                background-color: rgba(66, 66, 66, 0.4);
                width: 100%;
                height: 100%;
                color: rgba(255, 255, 255, 0.8);
              }
          
              .mask h1 {
                margin-top: 220px;
                font-size: 6rem;
              }
          
              .mask h2 {
                font-size: 2.8rem;
              }
          
              @media (max-width: 500px) {
                .mask h1 {
                  font-size: 4rem;
                }
          
                .mask h2 {
                  font-size: 2rem;
                }
              }
            </style>
          
        
    

4. MDB Navigation

Navigation template based on MDB documentation with the following settings:

  • Hidden on screens smaller then 1400px
  • padding-left: 240px added via CSS to the header and main on the screens larger then 1400px to push the content out of the sidenav area
  • Sidenav toggler added to the Navbar and hidden on screen larger then 1400px
  • On screens smaller then 1400px sidenav mode changes from side to over.
        
            
              <template>
                <!-- Main navigation -->
                <header>
                  <!-- Sidenav-->
                  <MDBSideNav
                    v-model="sidenavMDB"
                    id="sidenavMDB"
                    contentSelector="#page-content"
                    :modeBreakpoint="1400"
                    :closeOnEsc="true"
                    backdropStyle="position: fixed"
                  >
                    <div class="d-flex justify-content-center py-4">
                      <img
                        id="MDB-logo"
                        src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                        alt="MDB Logo"
                        draggable="false"
                      />
                    </div>
                    <MDBSideNavMenu accordion>
                      <MDBSideNavItem>
                        <MDBSideNavLink href="/">
                          <MDBIcon icon="chart-area" class="fa-fw me-3"/>
                          Website Traffic
                        </MDBSideNavLink>
                      </MDBSideNavItem>
                      <MDBSideNavItem collapse icon="cogs" title="Settings">
                        <MDBSideNavItem>
                          <MDBSideNavLink>Profile</MDBSideNavLink>
                        </MDBSideNavItem>
                        <MDBSideNavItem>
                          <MDBSideNavLink>Account</MDBSideNavLink>
                        </MDBSideNavItem>
                      </MDBSideNavItem>
                      <MDBSideNavItem collapse icon="lock" title="Password">
                        <MDBSideNavItem>
                          <MDBSideNavLink>Request password</MDBSideNavLink>
                        </MDBSideNavItem>
                        <MDBSideNavItem>
                          <MDBSideNavLink>Reset password</MDBSideNavLink>
                        </MDBSideNavItem>
                      </MDBSideNavItem>
                    </MDBSideNavMenu>
                  </MDBSideNav>
                  <!-- Sidenav-->
          
                  <!-- Navbar-->
                  <MDBNavbar expand="lg" light bg="light" container id="main-navbar">
                    <MDBNavbarToggler @click="sidenavMDB = !sidenavMDB" target="#sidenavMDB">
                      <MDBIcon icon="bars" />
                    </MDBNavbarToggler>
                    <MDBRow class="g-3 ms-1 align-items-center">
                      <MDBCollapse>
                        <MDBInput
                          wrapperClass="col-auto"
                          label='Search (ctrl + "/" to focus)'
                          v-model="input1"
                        />
                        <MDBCol auto>
                          <a class="ms-3" href="#!" role="button" style="color: #616161;">
                            <MDBIcon icon="search"></MDBIcon>
                          </a>
                        </MDBCol>
                      </MDBCollapse>
                    </MDBRow>
          
                    <MDBNavbarNav right class="d-flex flex-row">
                      <!-- Navbar dropdown -->
                      <MDBDropdown v-model="dropdown1" class="nav-item me-3 me-lg-0">
                        <MDBDropdownToggle
                          tag="a"
                          class="nav-link"
                          @click="dropdown1 = !dropdown1"
                        >
                          <MDBIcon icon="bell" />
                          <MDBBadge notification color="danger" pill>1</MDBBadge>
                        </MDBDropdownToggle>
                        <MDBDropdownMenu>
                          <MDBDropdownItem href="#">Action</MDBDropdownItem>
                          <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                          <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                        </MDBDropdownMenu>
                      </MDBDropdown>
                      <MDBNavbarItem href="#" class="me-3 me-lg-0">
                        <MDBIcon icon="fill-drip" />
                      </MDBNavbarItem>
                      <MDBNavbarItem href="#" class="me-3 me-lg-0">
                        <MDBIcon iconStyle="fab" icon="github" />
                      </MDBNavbarItem>
          
                      <MDBDropdown v-model="dropdown2" class="nav-item me-3 me-lg-0">
                        <MDBDropdownToggle
                          tag="a"
                          class="nav-link"
                          @click="dropdown2 = !dropdown2"
                        >
                          <i class="flag flag-united-kingdom"></i>
                        </MDBDropdownToggle>
                        <MDBDropdownMenu>
                          <MDBDropdownItem href="#">
                            <i class="flag-united-kingdom flag"></i>English
                            <i class="flag flag-united-kingdom"></i>
                          </MDBDropdownItem>
                          <MDBDropdownItem divider />
                          <MDBDropdownItem href="#">
                            <i class="flag flag-poland"></i>Polski
                          </MDBDropdownItem>
                          <MDBDropdownItem href="#">
                            <i class="flag flag-china"></i>中文
                          </MDBDropdownItem>
                          <MDBDropdownItem href="#">
                            <i class="flag flag-japan"></i>日本語
                          </MDBDropdownItem>
                          <MDBDropdownItem href="#">
                            <i class="flag flag-germany"></i>Deutsch
                          </MDBDropdownItem>
                          <MDBDropdownItem href="#">
                            <i class="flag flag-france"></i>Français
                          </MDBDropdownItem>
                          <MDBDropdownItem href="#">
                            <i class="flag flag-spain"></i>Español
                          </MDBDropdownItem>
                          <MDBDropdownItem href="#">
                            <i class="flag flag-russia"></i>Русский
                          </MDBDropdownItem>
                          <MDBDropdownItem href="#">
                            <i class="flag flag-portugal"></i>Português
                          </MDBDropdownItem>
                        </MDBDropdownMenu>
                      </MDBDropdown>
                      <MDBDropdown v-model="dropdown3" class="nav-item me-3 me-lg-0">
                        <MDBDropdownToggle
                          tag="a"
                          class="nav-link"
                          @click="dropdown3 = !dropdown3"
                        >
                          <img
                            src="https://mdbootstrap.com/img/Photos/Avatars/img (31).webp"
                            class="rounded-circle"
                            height="22"
                            alt=""
                            loading="lazy"
                          />
                        </MDBDropdownToggle>
                        <MDBDropdownMenu>
                          <MDBDropdownItem href="#">My profile</MDBDropdownItem>
                          <MDBDropdownItem href="#">Settings</MDBDropdownItem>
                          <MDBDropdownItem href="#">Logout</MDBDropdownItem>
                        </MDBDropdownMenu>
                      </MDBDropdown>
                    </MDBNavbarNav>
                  </MDBNavbar>
                  <!-- Navbar-->
                </header>
                <!-- Main navigation -->
          
                <!--Main layout-->
                <main style="margin-top: 58px" id="page-content">
                  <div class="container"></div>
                </main>
                <!--Main layout-->
          
                <!--Footer-->
                <footer></footer>
                <!--Footer-->
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBCollapse,
                  MDBIcon,
                  MDBNavbar,
                  MDBNavbarNav,
                  MDBNavbarItem,
                  MDBNavbarToggler,
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                  MDBInput,
                  MDBBadge,
                  MDBRow,
                  MDBCol
                } from "mdb-vue-ui-kit";
                import { ref } from "vue";

                export default {
                  components: {
                    MDBSideNav,
                    MDBSideNavMenu,
                    MDBSideNavItem,
                    MDBSideNavLink,
                    MDBCollapse,
                    MDBIcon,
                    MDBNavbar,
                    MDBNavbarNav,
                    MDBNavbarItem,
                    MDBNavbarToggler,
                    MDBDropdown,
                    MDBDropdownToggle,
                    MDBDropdownMenu,
                    MDBDropdownItem,
                    MDBInput,
                    MDBBadge,
                    MDBRow,
                    MDBCol
                  },
                  setup() {
                    const sidenavMDB = ref(true);
                    const dropdown1 = ref(false);
                    const dropdown2 = ref(false);
                    const dropdown3 = ref(false);
                    const input1 = ref("");

                    return {
                      sidenavMDB,
                      dropdown1,
                      dropdown2,
                      dropdown3,
                      input1
                    };
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBSideNav,
                  MDBSideNavMenu,
                  MDBSideNavItem,
                  MDBSideNavLink,
                  MDBCollapse,
                  MDBIcon,
                  MDBNavbar,
                  MDBNavbarNav,
                  MDBNavbarItem,
                  MDBNavbarToggler,
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                  MDBInput,
                  MDBBadge,
                  MDBRow,
                  MDBCol
                } from "mdb-vue-ui-kit";
                import { ref } from "vue";

                const sidenavMDB = ref(true);
                const dropdown1 = ref(false);
                const dropdown2 = ref(false);
                const dropdown3 = ref(false);
                const input1 = ref("");
              </script>
            
        
    
        
            
              <style>
                .page-intro {
                  background-size: cover;
                  background-position-x: center;
                  background-color: white;
                  width: 100vw;
                  height: 100vh;
                }
          
                @media (min-width: 1400px) {
                  main,
                  #main-navbar {
                    padding-left: 240px;
                  }
                }
              </style>
            
        
    

24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

Sidenav - API


Import

        
            
          <script>
            import {
              MDBSideNav,
              MDBSideNavMenu,
              MDBSideNavItem,
              MDBSideNavLink,
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

SideNav

Name Type Default Description Example
absolute Boolean false Sets position absolute on MDBSideNav component. When using absolute place sidenav component inside fixed height wrapper. <MDBSideNav absolute />
backdrop Boolean true Adds/removes a backdrop in an over mode <MDBSideNav :backdrop="false" />
backdropClass String - Adds backdrop custom class <MDBSideNav backdropClass="backdrop classes" />
backdropStyle String - Adds backdrop custom style <MDBSideNav backdropStyle="z-index: 1000" />
color String "primary" Changes a color of active/hovered links and categories <MDBSideNav color="secondary" />
closeOnEsc Boolean false Closes a side drawer on ESC key (only when toggler is visible) <MDBSideNav :closeOnEsc="true" />
dark Boolean false Changes the MDBSideNav template to dark <MDBSideNav dark />
expandOnHover Boolean false Expands/collapses slim mode on mouseover / mouseleave <MDBSideNav :expandOnHover="true" />
light Boolean false Changes the MDBSideNav template to light <MDBSideNav light />
mode String 'over Changes the MDBSideNav position mode. Accepted values : "over | side | push" <MDBSideNav mode="side" />
modeBreakpoint Number CDefines breakpoint for change MDBSideNav mode from side to over <MDBSideNav :modeBreakpoint="1400" />
relative Boolean false Sets position relative on MDBSideNav component. When using relative place sidenav component inside fixed height wrapper. <MDBSideNav relative />
right Boolean false Sets the MDBSideNav on the right side of the window instead of the left <MDBSideNav right />
scrollLock Boolean false Allows to block scroll while MDBSideNav is active. <MDBSideNav :scrollLock="sidenavToggler" />
sidenavWidth Number 240 Changes the width of the MDBSideNav <MDBSideNav :sidenavWidth="90" />
slim Boolean false Changes the MDBSideNav mode to slim <MDBSideNav :slim="true" />
slimCollapsed Boolean false Initializes a component in a slim mode <MDBSideNav :slimCollapsed="true" />
slimWidth Number 60 Changes the width of the slim MDBSideNav <MDBSideNav :slimWidth="90" />
tag String 'nav' Defines tag of the MDBSideNav element <MDBSideNav tag="div" />
v-model String false Opens / closes side navigation <MDBSideNav v-model="true" />

SideNav Menu

Name Type Default Description Example
accordion Boolean 'false' Enables accordion behaviour in a navigation container <MDBSideNavMenu accordion />
scrollContainer Boolean 'false' Enables MDBScrollbar for MDBSideNavMenu component <MDBSideNavMenu scrollContainer />
tag String 'ul' Defines tag of the MDBSideNavMenu element <MDBSideNavMenu tag="div" />
filter Boolean false Adds search bar. <MDBSideNavMenu filter />

SideNav Item

Name Type Default Description Example
tag String 'li' Defines tag of the MDBSideNavItem element <MDBSideNavItem tag="div" />

CSS variables

As part of MDB’s evolving CSS variables approach, sidenav now use local CSS variables on .sidenav and .sidenav-backdrop for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Sidenav CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // .sidenav
        --#{$prefix}sidenav-transform: #{$sidenav-transform};
        --#{$prefix}sidenav-zindex: #{$sidenav-zindex};
        --#{$prefix}sidenav-background-color: #{$sidenav-background-color};
        --#{$prefix}sidenav-width: #{$sidenav-width};
        --#{$prefix}sidenav-height: #{$sidenav-height};
        --#{$prefix}sidenav-box-shadow: #{$sidenav-box-shadow};
        --#{$prefix}sidenav-data-hidden-false-transform: #{$sidenav-data-hidden-false-transform};
        --#{$prefix}sidenav-data-color-light-color: #{$sidenav-data-color-light-color};
        --#{$prefix}sidenav-data-right-true-transform: #{$sidenav-data-right-true-transform};
        --#{$prefix}sidenav-data-slim-collapsed-true-width: #{$sidenav-data-slim-collapsed-true-width};
        --#{$prefix}sidenav-menu-padding: #{$sidenav-menu-padding};
        --#{$prefix}sidenav-collapse-sidenav-link-font-size: #{$sidenav-collapse-sidenav-link-font-size};
        --#{$prefix}sidenav-collapse-sidenav-link-height: #{$sidenav-collapse-sidenav-link-height};
        --#{$prefix}sidenav-link-font-size: #{$sidenav-link-font-size};
        --#{$prefix}sidenav-link-padding-y: #{$sidenav-link-padding-y};
        --#{$prefix}sidenav-link-padding-x: #{$sidenav-link-padding-x};
        --#{$prefix}sidenav-collapse-sidenav-link-padding-left: #{$sidenav-collapse-sidenav-link-padding-left};
        --#{$prefix}sidenav-link-height: #{$sidenav-link-height};
        --#{$prefix}sidenav-link-border-radius: #{$sidenav-link-border-radius};
        --#{$prefix}sidenav-link-transition: #{$sidenav-link-transition};
        --#{$prefix}sidenav-link-hover-color: #{$sidenav-link-hover-color};
        --#{$prefix}sidenav-link-hover-background-color: #{$sidenav-link-hover-background-color};
        --#{$prefix}sidenav-link-active-focus-background-color: #{$sidenav-link-active-focus-background-color};
        --#{$prefix}sidenav-link-active-color: #{$sidenav-link-active-color};
        --#{$prefix}sidenav-link-active-focus-color: #{$sidenav-link-active-focus-color};
        --#{$prefix}sidenav-subheading-font-size: #{$sidenav-subheading-font-size};
        --#{$prefix}sidenav-subheading-padding-y: #{$sidenav-subheading-padding-y};
        --#{$prefix}sidenav-subheading-padding-x: #{$sidenav-subheading-padding-x};
        --#{$prefix}sidenav-subheading-fw: #{$sidenav-subheading-fw};
        --#{$prefix}sidenav-sm-link-pt: #{$sidenav-sm-link-pt};
        --#{$prefix}sidenav-sm-link-pb: #{$sidenav-sm-link-pb};
        --#{$prefix}sidenav-rotate-icon-margin-right: #{$sidenav-rotate-icon-margin-right};
        --#{$prefix}sidenav-rotate-icon-transition: #{$sidenav-rotate-icon-transition};
        --#{$prefix}sidenav-light-color: #{$sidenav-light-color};

        // .sidenav-backdrop
        --#{$prefix}sidenav-backdrop-zindex: #{$sidenav-backdrop-zindex};
        --#{$prefix}sidenav-backdrop-background-color: #{$sidenav-backdrop-background-color};

        // .sidenav-slim
        --#{$prefix}sidenav-slim-link-padding-left: #{$sidenav-slim-link-padding-left};
      
        
        
    

SCSS variables

        
            
        $sidenav-zindex: 1035;
        $sidenav-backdrop-zindex: 1034;

        $sidenav-transform: translateX(-100%);
        $sidenav-color: var(--#{$prefix}surface-color);
        $sidenav-background-color: var(--#{$prefix}surface-bg);
        $sidenav-width: 240px;
        $sidenav-height: 100vh;
        $sidenav-box-shadow: 0 4px 12px 0 rgba(var(--#{$prefix}box-shadow-color-rgb), 0.07),
          0 2px 4px rgba(var(--#{$prefix}box-shadow-color-rgb), 0.05);

        $sidenav-data-hidden-false-transform: translateX(0%);
        $sidenav-data-color-light-color: rgba(255, 255, 255, 0.6);
        $sidenav-data-right-true-transform: translateX(100%);
        $sidenav-data-slim-collapsed-true-width: 77px;

        $sidenav-menu-padding: 0.2rem;

        $sidenav-collapse-sidenav-link-font-size: 0.78rem;
        $sidenav-collapse-sidenav-link-height: 1.5rem;
        $sidenav-collapse-sidenav-link-padding-left: 3.4rem;

        $sidenav-link-font-size: 0.89rem;
        $sidenav-link-padding-y: 1rem;
        $sidenav-link-padding-x: 1.5rem;
        $sidenav-link-height: 3rem;
        $sidenav-link-border-radius: 5px;
        $sidenav-link-transition: all 0.3s linear;

        $sidenav-link-hover-color: inherit;
        $sidenav-link-hover-background-color: var(--#{$prefix}highlight-bg-color);

        $sidenav-link-active-focus-color: $sidenav-link-hover-color;
        $sidenav-link-active-focus-background-color: $sidenav-link-hover-background-color;
        $sidenav-link-active-color: $sidenav-link-hover-color;

        $sidenav-rotate-icon-margin-right: 0.8rem;
        $sidenav-rotate-icon-transition: transform 0.3s;

        $sidenav-backdrop-background-color: rgba(0, 0, 0, var(--#{$prefix}sidenav-backdrop-opacity));

        $sidenav-light-color: $sidenav-data-color-light-color;

        $sidenav-subheading-font-size: 0.6rem;
        $sidenav-subheading-padding-y: 1rem;
        $sidenav-subheading-padding-x: 1.5rem;
        $sidenav-subheading-fw: 700;

        $sidenav-sm-link-pt: 0.4rem;
        $sidenav-sm-link-pb: $sidenav-sm-link-pt;

        $sidenav-slim-link-padding-left: 1rem;

Sidenav

Angular Bootstrap 5 Sidenav component

The side navigation component provides an easy way to navigate through your website.

Note: Read the API tab to find all available options and advanced customization

Basic example

In the basic version, the side navigation will appear over your website's content after clicking on a toggler.

Note: Use show and hide methods to toggle navigation with TypeScript.

        
            
            <mdb-sidenav-layout>
              <mdb-sidenav #sidenav="mdbSidenav" id="sidenav1">
                <ul class="sidenav-menu">
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple>
                      <i class="far fa-smile fa-fw me-3"></i><span>Link 1</span>
                    </a>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a
                      class="sidenav-link"
                      tabindex="0" mdbRipple
                      role="button"
                      [attr.aria-expanded]="!category1.collapsed"
                      aria-controls="category1"
                      ><i class="fas fa-grin fa-fw me-3"></i><span>Category 1</span></a
                    >
                    <ul class="sidenav-collapse" mdbCollapse id="category1" #category1="mdbCollapse">
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 2</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 3</a>
                      </li>
                    </ul>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a
                      class="sidenav-link"
                      mdbRipple
                      tabindex="0"
                      role="button"
                      [attr.aria-expanded]="!category2.collapsed"
                      aria-controls="category2"
                      ><i class="fas fa-grin-wink fa-fw me-3"></i><span>Category 2</span></a
                    >
                    <ul class="sidenav-collapse" mdbCollapse id="category2" #category2="mdbCollapse">
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 4</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 5</a>
                      </li>
                    </ul>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a
                      class="sidenav-link"
                      tabindex="0"
                      mdbRipple
                      role="button"
                      [attr.aria-expanded]="!category3.collapsed"
                      aria-controls="category3"
                      ><i class="fas fa-grin-wink fa-fw me-3"></i><span>Category 3</span></a
                    >
                    <ul class="sidenav-collapse" mdbCollapse id="category3" #category3="mdbCollapse">
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 5</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 6</a>
                      </li>
                    </ul>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a
                      class="sidenav-link"
                      tabindex="0" 
                      mdbRipple
                      role="button"
                      [attr.aria-expanded]="!category4.collapsed"
                      aria-controls="category4"
                      ><i class="fas fa-grin-wink fa-fw me-3"></i><span>Category 4</span></a
                    >
                    <ul class="sidenav-collapse" mdbCollapse id="category4" #category4="mdbCollapse">
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 7</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 8</a>
                      </li>
                    </ul>
                  </mdb-sidenav-item>
                </ul>
              </mdb-sidenav>
              <mdb-sidenav-content #sidenavContent>
                <!-- Toggler -->
                <button
                #sidenavToggle
                class="btn btn-primary"
                aria-label="toggle"
                aria-controls="sidenav1"
                (click)="sidenav.toggle()"
              >
                  <i class="fas fa-bars"></i>
                </button>
                <!-- Toggler -->
              </mdb-sidenav-content>
            </mdb-sidenav-layout>
          
        
    

Positioning

While using the side and push modes, you can specify the selector for your page's content - this way, the component will automatically update paddings and margins.

Select mode:

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc magna massa, ornare quis interdum a, cursus in quam. Quisque risus libero, cursus eget eros vitae, aliquam placerat velit. Vivamus luctus eros id sagittis luctus. Pellentesque felis nulla, rhoncus viverra nunc vitae, viverra aliquam ante. Ut feugiat mattis tempor.
        
            
            <mdb-sidenav-layout>
              <mdb-sidenav #sidenav="mdbSidenav" [mode]="'side'">
                ...
              </mdb-sidenav>
              <mdb-sidenav-content #sidenavContent>
                ...
              </mdb-sidenav-content>
            </mdb-sidenav-layout>
          
        
    

Colors example

Setting the color option will change the background and font color of active/hovered links and categories.

Note: This option works for MDB 5 Angular main colors - primary, secondary, warning, danger, success, info, dark and light.

Select color:

        
            
          <!-- Sidenav -->
          <mdb-sidenav-layout>
            <mdb-sidenav #sidenav="mdbSidenav" [color]="'secondary'">
              ...
            </mdb-sidenav>
            <mdb-sidenav-content #sidenavContent>
              ...
            </mdb-sidenav-content>
          </mdb-sidenav-layout>
          <!-- Sidenav -->
        
        
    

Inner scroll

Passing a selector of an inner element to the scrollContainer option will initialize MDB scrollbar only on this container (by default it's initialized on the sidenav component).

        
            
            <!-- Sidenav -->
            <mdb-sidenav-layout>
              <mdb-sidenav #sidenav="mdbSidenav" [scrollContainer]="'#container'">
                <div class="text-center">
                  <h3 class="py-4">Examples</h3>
                  <hr class="m-0" />
                </div>
                <ul id="container" mdbScrollbar class="sidenav-menu" style="height: 300px;">
                  ...
                </ul>
                <div class="text-center" style="min-height: 3rem;">
                  <hr class="mt-0 mb-2" />
                  <small>mdbootstrap.com</small>
                </div>
              </mdb-sidenav>
              <mdb-sidenav-content #sidenavContent>
                ...
              </mdb-sidenav-content>
            </mdb-sidenav-layout>
          
        
    

Menu item scroll

You can use custom styles and our Scrollbar to add inner scroll for menu items.

        
            
          <mdb-sidenav-layout>
            <mdb-sidenav
              #sidenav
              #sidenavMenuItemScroll="mdbSidenav"
              [scrollContainer]="'#container'"
            >
              <div class="text-center">
                <h3 class="py-4">Examples</h3>
                <hr class="m-0" />
              </div>
              <ul id="container" mdbScrollbar class="sidenav-menu">
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-grin fa-fw me-3"></i>
                    <span>Scrolling Category 1</span>
                  </a>
                  <ul class="sidenav-collapse" mdbScrollbar mdbCollapse style="max-height: 100px">
                    ...
                  </ul>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-grin fa-fw me-3"></i>
                    <span>Scrolling Category 2</span>
                  </a>
                  <ul class="sidenav-collapse" mdbScrollbar mdbCollapse style="max-height: 100px">
                    ...
                  </ul>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-grin fa-fw me-3"></i>
                    <span>Scrolling Category 3</span>
                  </a>
                  <ul class="sidenav-collapse" mdbScrollbar mdbCollapse style="max-height: 100px">
                    ...
                  </ul>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-grin fa-fw me-3"></i>
                    <span>Scrolling Category 4</span>
                  </a>
                  <ul class="sidenav-collapse" mdbScrollbar mdbCollapse style="max-height: 100px">
                    ...
                  </ul>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-grin fa-fw me-3"></i>
                    <span>Scrolling Category 5</span>
                  </a>
                  <ul class="sidenav-collapse" mdbScrollbar mdbCollapse style="max-height: 100px">
                    ...
                  </ul>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-grin fa-fw me-3"></i>
                    <span>Scrolling Category 6</span>
                  </a>
                  <ul class="sidenav-collapse" mdbScrollbar mdbCollapse style="max-height: 100px">
                    ...
                  </ul>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-grin fa-fw me-3"></i>
                    <span>Scrolling Category 7</span>
                  </a>
                  <ul class="sidenav-collapse" mdbScrollbar mdbCollapse style="max-height: 100px">
                    ...
                  </ul>
                </mdb-sidenav-item>
              </ul>
            </mdb-sidenav>
            <mdb-sidenav-content #sidenavContent>
              ...
            </mdb-sidenav-content>
          </mdb-sidenav-layout>
        
        
    

Slim example

You can hide/show elements in the slim mode by setting slim option on them - depending on value they will be either visible only in a slim or an expanded mode. Elements without this attribute will appear in both modes.

        
            
            <!-- Sidenav -->
            <mdb-sidenav-layout>
              <mdb-sidenav #sidenav="mdbSidenav" [slim]="true" [slimCollapsed]="true" [mode]="'push'">
                <ul class="sidenav-menu">
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple>
                      <i class="far fa-smile fa-fw me-3 pe-1"></i><span slim="false">Link 1</span></a
                    >
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple
                      ><i class="fas fa-grin fa-fw me-3 pe-1"></i><span slim="false">Category 1</span></a
                    >
                    <ul class="sidenav-collapse" mdbCollapse>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 2</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 3</a>
                      </li>
                    </ul>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple
                      ><i class="fas fa-grin-wink fa-fw me-3 pe-1"></i><span slim="false">Category 2</span></a
                    >
                    <ul class="sidenav-collapse" mdbCollapse>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 4</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 5</a>
                      </li>
                    </ul>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple
                      ><i class="fas fa-grin-wink fa-fw me-3 pe-1"></i><span slim="false">Category 3</span></a
                    >
                    <ul class="sidenav-collapse" mdbCollapse>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 5</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 6</a>
                      </li>
                    </ul>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple
                      ><i class="fas fa-grin-wink fa-fw me-3 pe-1"></i><span slim="false">Category 4</span></a
                    >
                    <ul class="sidenav-collapse" mdbCollapse>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 7</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Link 8</a>
                      </li>
                    </ul>
                  </mdb-sidenav-item>
                </ul>
              </mdb-sidenav>
              <mdb-sidenav-content #sidenavContent>
                <!-- Toggler -->
                <button #sidenavToggle class="btn btn-primary" (click)="sidenav.toggle()">
                  <i class="fas fa-bars"></i>
                </button>
                <!-- Toggler -->
                <button #sidenavToggle class="btn btn-primary" (click)="sidenav.toggleSlim()">
                  toggle slim
                </button>
              </mdb-sidenav-content>
            </mdb-sidenav-layout>
          
        
    

Accordion example

Using accordion option will allow expanding only one category at once.

        
            
            <mdb-sidenav-layout>
              <mdb-sidenav #sidenav="mdbSidenav" [accordion]="true">
                ...
              </mdb-sidenav>
              <mdb-sidenav-content #sidenavContent>
                ...
              </mdb-sidenav-content>
            </mdb-sidenav-layout>
            <!-- Sidenav-->
          
        
    

Groups

You can use more than one menu inside the side navigation - in this case, accordions will be independent of one another. Just add mdbSidenavMenu directive to each menu element.

        
            
        <mdb-sidenav-layout>
          <mdb-sidenav
            #sidenav
            id="sidenav"
            [accordion]="true"
          >
            <ul class="sidenav-menu" mdbSidenavMenu>
              <mdb-sidenav-item>
                <a class="sidenav-link" href="/navigation/sidenav1">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 1</span></a
                >
              </mdb-sidenav-item>
              <mdb-sidenav-item>
                <a
                  class="sidenav-link"
                  tabindex="0"
                  role="button"
                  [attr.aria-expanded]="!category1.collapsed"
                  aria-controls="category1"
                  ><i class="fas fa-grin fa-fw me-3"></i><span>Category 1</span></a
                >
                <ul class="sidenav-collapse" mdbCollapse id="category1" #category1="mdbCollapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link" href="/navigation/sidenav">Link 2</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link" href="/navigation/sidenav3">Link 3</a>
                  </li>
                </ul>
              </mdb-sidenav-item>
              <mdb-sidenav-item>
                <a
                  class="sidenav-link"
                  tabindex="0"
                  role="button"
                  [attr.aria-expanded]="!category2.collapsed"
                  aria-controls="category2"
                  ><i class="fas fa-grin-wink fa-fw me-3"></i><span>Category 2</span></a
                >
                <ul class="sidenav-collapse" mdbCollapse id="category2" #category2="mdbCollapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link" href="/navigation/sidenav4">Link 4</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link" href="/navigation/sidenav5">Link 5</a>
                  </li>
                </ul>
              </mdb-sidenav-item>
            </ul>
            <hr />
            <ul class="sidenav-menu" mdbSidenavMenu>
              <mdb-sidenav-item>
                <a class="sidenav-link" href="/navigation/sidenav1">
                  <i class="far fa-smile fa-fw me-3"></i><span>Link 6</span></a
                >
              </mdb-sidenav-item>
              <mdb-sidenav-item>
                <a
                  class="sidenav-link"
                  tabindex="0"
                  role="button"
                  [attr.aria-expanded]="!category3.collapsed"
                  aria-controls="category3"
                  ><i class="fas fa-grin fa-fw me-3"></i><span>Category 3</span></a
                >
                <ul class="sidenav-collapse" mdbCollapse id="category3" #category3="mdbCollapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link" href="/navigation/sidenav">Link 7</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link" href="/navigation/sidenav3">Link 8</a>
                  </li>
                </ul>
              </mdb-sidenav-item>
              <mdb-sidenav-item>
                <a
                  class="sidenav-link"
                  tabindex="0"
                  role="button"
                  [attr.aria-expanded]="!category4.collapsed"
                  aria-controls="category4"
                  ><i class="fas fa-grin-wink fa-fw me-3"></i><span>Category 4</span></a
                >
                <ul class="sidenav-collapse" mdbCollapse id="category4" #category4="mdbCollapse">
                  <li class="sidenav-item">
                    <a class="sidenav-link" href="/navigation/sidenav4">Link 9</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link" href="/navigation/sidenav5">Link 10</a>
                  </li>
                </ul>
              </mdb-sidenav-item>
            </ul>
          </mdb-sidenav>
          <mdb-sidenav-content>
            <div class="mt-5 d-flex justify-content-center">
              <!-- Toggler -->
              <button
                class="btn btn-primary"
                aria-label="toggle"
                aria-controls="sidenav"
                (click)="sidenav.toggle()"
              >
                <i class="fas fa-bars"></i>
              </button>
              <!-- Toggler -->
            </div>
          </mdb-sidenav-content>
        </mdb-sidenav-layout>
        
        
    

Right

Place the navigation on the other side by setting the right option to true.

        
            
            <mdb-sidenav-layout>
              <mdb-sidenav #sidenav="mdbSidenav" [right]="true">
                ...
              </mdb-sidenav>
              <mdb-sidenav-content #sidenavContent>
                ...
              </mdb-sidenav-content>
            </mdb-sidenav-layout>
            <!-- Sidenav-->
          
        
    


Full-screen examples

The following examples show various settings of the side navigation component in a full-screen mode.


1. Basic side navigation

Click the toggler to show the navigation (over mode).

        
            
            <!-- Sidenav -->
            <mdb-sidenav-layout>
              <mdb-sidenav #sidenav="mdbSidenav">
                <div class="mt-4">
                  <div id="header-content" class="ps-3">
                    <img
                      src="https://mdbcdn.b-cdn.net/img/Photos/Avatars/img%20(26).webp"
                      alt="Avatar"
                      class="rounded-circle img-fluid mb-3"
                      style="max-width: 50px"
                    />
                    <h4>Ann Smith</h4>
                    <p>ann_s@mdbootstrap.com</p>
                  </div>
                  <hr class="mb-0" />
                </div>
                <ul class="sidenav-menu">
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" href="/" mdbRipple>
                      <i class="fas fa-envelope fa-fw me-3"></i><span>Inbox</span></a
                    >
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple>
                      <i class="fas fa-paper-plane fa-fw me-3"></i><span>Outbox</span></a
                    >
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple
                      ><i class="fas fa-address-book fa-fw me-3"></i><span>Contacts</span></a
                    >
                    <ul class="sidenav-collapse" mdbCollapse>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Family</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Friends</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Work</a>
                      </li>
                    </ul>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-file fa-fw me-3"></i><span>Drafts</span></a>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-heart fa-fw me-3"></i><span>Favourites</span></a>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-star fa-fw me-3"></i><span>Starred</span></a>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-trash fa-fw me-3"></i><span>Trash</span></a>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-ban fa-fw me-3"></i><span>Spam</span></a>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple><i class="fas fa-tag fa-fw me-3"></i><span>Categories</span></a>
                    <ul class="sidenav-collapse" mdbCollapse>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Social</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Notifications</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Recent</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Uploads</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Backups</a>
                      </li>
                      <li class="sidenav-item">
                        <a class="sidenav-link" tabindex="0" mdbRipple>Offers</a>
                      </li>
                    </ul>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-sticky-note fa-fw me-3"></i><span>Notes</span></a>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple>
                      <i class="fas fa-user-circle fa-fw me-3"></i><span>Personal</span></a
                    >
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-ellipsis-h fa-fw me-3"></i><span>More</span></a>
                  </mdb-sidenav-item>
                  <hr class="m-0" />
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-cogs fa-fw me-3"></i><span>Settings</span></a>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-user fa-fw me-3"></i><span>Profile</span></a>
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple>
                      <i class="fas fa-shield-alt fa-fw me-3"></i><span>Privacy</span></a
                    >
                  </mdb-sidenav-item>
                  <mdb-sidenav-item>
                    <a class="sidenav-link" tabindex="0" mdbRipple>
                      <i class="fas fa-user-astronaut fa-fw me-3"></i><span>Log out</span></a
                    >
                  </mdb-sidenav-item>
                </ul>
                <div class="text-center" style="height: 100px">
                  <hr class="mb-4 mt-0" />
                  <p>MDBootstrap.com</p>
                </div>
              </mdb-sidenav>
              <mdb-sidenav-content #sidenavContent>
                <div class="mdb-page-content text-center page-intro bg-light">
                  <div class="mask text-center py-5">
                    <!-- Toggler -->
                    <button class="btn btn-primary m-5" (click)="sidenav.toggle()">
                      <i class="fas fa-bars"></i>
                    </button>
                    <!-- Toggler -->
                    <div>
                      <img class="rounded" src="https://mdbcdn.b-cdn.net/img/Photos/Others/img%20(45).webp" />
                    </div>
                  </div>
                </div>
              </mdb-sidenav-content>
            </mdb-sidenav-layout>
            <!-- Sidenav -->

          
        
    
        
            
          .page-intro {
            background-color: white;
            width: 100vw;
            height: 100vh;
          }

          mask {
            width: 100%;
          }

          .mask img {
            max-width: 80%;
          }

          @media (max-width: 660px) {
            .mask img {
              width: 100%;
            }
          }
          
        
    

2. Side navigation with a mode transition

Resize the window to change the mode from side to over.

        
            
          <!-- Sidenav -->
          <mdb-sidenav-layout>
            <mdb-sidenav
              #sidenav="mdbSidenav"
              scrollContainer="#container"
              [color]="'dark'"
              [mode]="mode"
              [hidden]="hidden"
            >
              <div class="mt-4">
                <div id="header-content" class="ps-3">
                  <img
                    src="https://mdbcdn.b-cdn.net/img/Photos/Avatars/img%20(23).webp"
                    alt="Avatar"
                    class="rounded-circle img-fluid mb-3"
                    style="max-width: 50px"
                  />
                  <h4>Ann Smith</h4>
                  <p>ann_s@mdbootstrap.com</p>
                </div>
                <hr class="mb-0" />
              </div>
              <ul class="sidenav-menu" id="container" mdbScrollbar>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple href="/">
                    <i class="fas fa-envelope fa-fw me-3"></i><span>Inbox</span></a
                  >
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-paper-plane fa-fw me-3"></i><span>Outbox</span></a
                  >
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple
                    ><i class="fas fa-address-book fa-fw me-3"></i><span>Contacts</span></a
                  >
                  <ul class="sidenav-collapse" mdbCollapse>
                    <li class="sidenav-item">
                      <a class="sidenav-link" tabindex="0" mdbRipple>Family</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link" tabindex="0" mdbRipple>Friends</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link" tabindex="0" mdbRipple>Work</a>
                    </li>
                  </ul>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-file fa-fw me-3"></i><span>Drafts</span></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-heart fa-fw me-3"></i><span>Favourites</span></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-star fa-fw me-3"></i><span>Starred</span></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-trash fa-fw me-3"></i><span>Trash</span></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-ban fa-fw me-3"></i><span>Spam</span></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple><i class="fas fa-tag fa-fw me-3"></i><span>Categories</span></a>
                  <ul class="sidenav-collapse" mdbCollapse>
                    <li class="sidenav-item">
                      <a class="sidenav-link" tabindex="0" mdbRipple>Social</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link" tabindex="0" mdbRipple>Notifications</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link" tabindex="0" mdbRipple>Recent</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link" tabindex="0" mdbRipple>Uploads</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link" tabindex="0" mdbRipple>Backups</a>
                    </li>
                    <li class="sidenav-item">
                      <a class="sidenav-link" tabindex="0" mdbRipple>Offers</a>
                    </li>
                  </ul>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-sticky-note fa-fw me-3"></i><span>Notes</span></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-user-circle fa-fw me-3"></i><span>Personal</span></a
                  >
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-ellipsis-h fa-fw me-3"></i><span>More</span></a>
                </mdb-sidenav-item>
                <hr class="m-0" />
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-cogs fa-fw me-3"></i><span>Settings</span></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple> <i class="fas fa-user fa-fw me-3"></i><span>Profile</span></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-shield-alt fa-fw me-3"></i><span>Privacy</span></a
                  >
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas fa-user-astronaut fa-fw me-3"></i><span>Log out</span></a
                  >
                </mdb-sidenav-item>
              </ul>
              <div class="text-center" style="height: 100px">
                <hr class="mb-4 mt-0" />
                <p>MDBootstrap.com</p>
              </div>
            </mdb-sidenav>
            <mdb-sidenav-content #sidenavContent>
              <div class="mdb-page-content text-center page-intro bg-light">
                <div class="text-center py-5">
                  <h3 class="my-5">Resize to change the mode</h3>
                  <div>
                    <img class="rounded" src="https://mdbcdn.b-cdn.net/img/Photos/Others/img%20(53).webp" />
                  </div>
                  <!-- Toggler -->
                  <button id="toggler" class="btn btn-dark mt-5" (click)="sidenav.toggle()">
                    <i class="fas fa-bars"></i>
                  </button>
                  <!-- Toggler -->
                </div>
              </div>
            </mdb-sidenav-content>
          </mdb-sidenav-layout>
          <!-- Sidenav -->

        
        
    
        
            
        import { AfterViewInit, Component, NgZone, ViewChild } from '@angular/core';
        import { MdbSidenavComponent } from 'mdb-angular-ui-kit/sidenav/sidenav.component';
        import { fromEvent } from 'rxjs';

        @Component({
          selector: 'app-mode-transition-sidenav',
          templateUrl: './mode-transition-sidenav.component.html',
          styleUrls: ['./mode-transition-sidenav.component.scss'],
        })
        export class ModeTransitionSidenavComponent implements AfterViewInit {
          @ViewChild('sidenav', { static: true }) sidenav!: MdbSidenavComponent;

          mode = window.innerWidth >= 660 ? 'side' : 'over';
          hidden = window.innerWidth >= 660 ? false : true;

          constructor(private ngZone: NgZone) {}

          ngAfterViewInit() {
            this.ngZone.runOutsideAngular(() => {
              fromEvent(window, 'resize').subscribe(() => {
                if (window.innerWidth < 660 && this.mode !== 'over') {
                  this.ngZone.run(() => {
                    this.mode = 'over';
                    this.hideSidenav();
                  });
                } else if (window.innerWidth >= 660 && this.mode !== 'side') {
                  this.ngZone.run(() => {
                    this.mode = 'side';
                    this.showSidenav();
                  });
                }
              });
            });
          }

          hideSidenav() {
            setTimeout(() => {
              this.sidenav.hide();
            }, 0);
          }

          showSidenav() {
            setTimeout(() => {
              this.sidenav.show();
            });
          }
        }
        
        
    
        
            
        .page-intro {
          background-color: white;
          width: 100vw;
          min-height: 100vh;
        }

        img {
          max-width: 80%;
        }

        .mdb-page-content {
          padding-left: 240px;
          transition: padding 0.3s linear;
        }

        #toggler {
          display: none;
        }

        @media (max-width: 660px) {
          .mdb-page-content {
            padding-left: 0px;
          }

          #toggler {
            display: unset;
          }
        }
        
        
    

3. Slim side navigation (dark)

Non-expandable slim sidenav with a dark background and custom width.

        
            
          <!-- Sidenav -->
          <mdb-sidenav-layout>
            <mdb-sidenav
              #sidenav="mdbSidenav"
              [color]="'light'"
              [mode]="'side'"
              [slimCollapsed]="true"
              [slimWidth]="90"
              [hidden]="false"
            >
              <div class="text-center py-4 bg-dark">
                <a class="rounded-circle" tabindex="0" mdbRipple>
                  <img
                    src="https://mdbcdn.b-cdn.net/img/Photos/Avatars/img%20(29).webp"
                    alt="Avatar"
                    class="rounded-circle img-fluid"
                    style="max-width: 60px"
                  />
                </a>
                <hr />
              </div>
              <ul class="sidenav-menu bg-dark" style="height: 100vh">
                <mdb-sidenav-item>
                  <a class="sidenav-link p-0 d-flex justify-content-center" tabindex="0" mdbRipple>
                    <i class="far fa-heart fa-2x"></i
                  ></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link p-0 my-3 d-flex justify-content-center" tabindex="0" mdbRipple>
                    <i class="far fa-envelope fa-2x"></i
                  ></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link p-0 my-3 d-flex justify-content-center" tabindex="0" mdbRipple>
                    <i class="far fa-user fa-2x"></i
                  ></a>
                </mdb-sidenav-item>
                <mdb-sidenav-item>
                  <a class="sidenav-link p-0 my-3 d-flex justify-content-center" tabindex="0" mdbRipple>
                    <i class="fa fa-cogs fa-2x"></i
                  ></a>
                </mdb-sidenav-item>
              </ul>
            </mdb-sidenav>
            <mdb-sidenav-content #sidenavContent>
              <div class="page-intro">
                <div class="mask p-4 text-center">
                  <h1>Natalie Smith</h1>
                  <h2>Portfolio</h2>
                </div>
              </div>
            </mdb-sidenav-content>
          </mdb-sidenav-layout>
          <!-- Sidenav -->
        
        
    
        
            
        .page-intro {
          background-image: url('https://mdbcdn.b-cdn.net/img/Photos/Others/img%20(52).webp');
          background-size: cover;
          background-position-x: center;
          background-color: white;
          height: 100vh;
        }

        .mask {
          background-color: rgba(66, 66, 66, 0.4);
          width: 100vw;
          height: 100vh;
          color: rgba(255, 255, 255, 0.8);
        }

        .mask h1 {
          margin-top: 220px;
          font-size: 6rem;
        }

        .mask h2 {
          font-size: 2.8rem;
        }

        @media (max-width: 500px) {
          .mask h1 {
            font-size: 4rem;
          }

          .mask h2 {
            font-size: 2rem;
          }
        }
        
        
    

4. MDB Navigation

Navigation template based on MDB documentation with the following settings:

  • Hidden on screens smaller then 1400px
  • padding-left: 240px added via CSS to the header and main on the screens larger then 1400px to push the content out of the sidenav area
  • Sidenav toggler added to the Navbar and hidden on screen larger then 1400px
  • On screens smaller then 1400px sidenav mode changes from side to over.
        
            
        <mdb-sidenav-layout>
          <mdb-sidenav #sidenav="mdbSidenav" [mode]="mode" [position]="'fixed'" [hidden]="hidden">
            <a
              class="d-flex justify-content-center py-4"
              href="#!"
              mdbRipple
              rippleColor="primary"
              style="min-width: 240px"
            >
              <img
                id="MDB-logo"
                src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.png"
                alt="MDB Logo"
                draggable="false"
              />
            </a>
            <ul class="sidenav-menu">
              <mdb-sidenav-item>
                <a class="sidenav-link" tabindex="0" mdbRipple href="">
                  <i class="fas fa-chart-area fa-fw me-3"></i><span>Webiste traffic</span></a
                >
              </mdb-sidenav-item>
              <mdb-sidenav-item>
                <a class="sidenav-link" tabindex="0" mdbRipple><i class="fas fa-cogs fa-fw me-3"></i><span>Settings</span></a>
                <ul class="sidenav-collapse" mdbCollapse>
                  <li class="sidenav-item">
                    <a class="sidenav-link" tabindex="0" mdbRipple>Profile</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link" tabindex="0" mdbRipple>Account</a>
                  </li>
                </ul>
              </mdb-sidenav-item>
              <mdb-sidenav-item>
                <a class="sidenav-link" tabindex="0" mdbRipple><i class="fas fa-cogs fa-fw me-3"></i><span>Password</span></a>
                <ul class="sidenav-collapse" mdbCollapse>
                  <li class="sidenav-item">
                    <a class="sidenav-link" tabindex="0" mdbRipple>Request password</a>
                  </li>
                  <li class="sidenav-item">
                    <a class="sidenav-link" tabindex="0" mdbRipple>Reset password</a>
                  </li>
                </ul>
              </mdb-sidenav-item>
            </ul>
          </mdb-sidenav>
          <mdb-sidenav-content #sidenavContent>
            <!-- Navbar -->
            <nav id="main-navbar" class="navbar navbar-expand-lg bg-white fixed-top">
              <!-- Container wrapper -->
              <div class="container-fluid">
                <!-- Toggler -->
                <button
                  class="btn shadow-0 p-0 me-3 d-block d-xxl-none"
                  aria-controls="#sidenav-1"
                  aria-haspopup="true"
                  (click)="sidenav.toggle()"
                >
                  <i class="fas fa-bars fa-lg"></i>
                </button>

                <!-- Search form -->
                <form class="d-none d-md-flex input-group w-auto my-auto">
                  <input
                    autocomplete="off"
                    type="search"
                    class="form-control rounded"
                    placeholder='Search (ctrl + "/" to focus)'
                    style="min-width: 225px"
                  />
                  <span class="input-group-text border-0"><i class="fas fa-search"></i></span>
                </form>

                <!-- Right links -->
                <ul class="navbar-nav ms-auto d-flex flex-row">
                  <!-- Notification dropdown -->
                  <li mdbDropdown class="nav-item dropdown">
                    <a
                      mdbDropdownToggle
                      class="nav-link me-3 me-lg-0 dropdown-toggle hidden-arrow"
                      id="navbarDropdownMenuLink"
                      role="button"
                      aria-expanded="false"
                    >
                      <i class="fas fa-bell"></i>
                      <span class="badge rounded-pill badge-notification bg-danger">1</span>
                    </a>
                    <ul
                      mdbDropdownMenu
                      class="dropdown-menu dropdown-menu-end"
                      aria-labelledby="navbarDropdownMenuLink"
                    >
                      <li><a class="dropdown-item">Some news</a></li>
                      <li><a class="dropdown-item">Another news</a></li>
                      <li>
                        <a class="dropdown-item">Something else here</a>
                      </li>
                    </ul>
                  </li>

                  <!-- Icon -->
                  <li class="nav-item">
                    <a class="nav-link me-3 me-lg-0">
                      <i class="fas fa-fill-drip"></i>
                    </a>
                  </li>
                  <!-- Icon -->
                  <li class="nav-item me-3 me-lg-0">
                    <a class="nav-link">
                      <i class="fab fa-github"></i>
                    </a>
                  </li>

                  <!-- Icon dropdown -->
                  <li mdbDropdown class="nav-item dropdown">
                    <a
                      mdbDropdownToggle
                      class="nav-link me-3 me-lg-0 dropdown-toggle hidden-arrow"
                      id="navbarDropdown"
                      role="button"
                      aria-expanded="false"
                    >
                      <i class="united kingdom flag m-0"></i>
                    </a>
                    <ul
                      mdbDropdownMenu
                      class="dropdown-menu dropdown-menu-end"
                      aria-labelledby="navbarDropdown"
                    >
                      <li>
                        <a class="dropdown-item"
                          ><i class="united kingdom flag"></i>English
                          <i class="fa fa-check text-success ms-2"></i
                        ></a>
                      </li>
                      <li>
                        <hr class="dropdown-divider" />
                      </li>
                      <li>
                        <a class="dropdown-item"><i class="poland flag"></i>Polski</a>
                      </li>
                      <li>
                        <a class="dropdown-item"><i class="china flag"></i>中文</a>
                      </li>
                      <li>
                        <a class="dropdown-item"><i class="japan flag"></i>日本語</a>
                      </li>
                      <li>
                        <a class="dropdown-item"><i class="germany flag"></i>Deutsch</a>
                      </li>
                      <li>
                        <a class="dropdown-item"><i class="france flag"></i>Français</a>
                      </li>
                      <li>
                        <a class="dropdown-item"><i class="spain flag"></i>Español</a>
                      </li>
                      <li>
                        <a class="dropdown-item"><i class="russia flag"></i>Русский</a>
                      </li>
                      <li>
                        <a class="dropdown-item"><i class="portugal flag"></i>Português</a>
                      </li>
                    </ul>
                  </li>

                  <!-- Avatar -->
                  <li mdbDropdown class="nav-item dropdown">
                    <a
                      mdbDropdownToggle
                      class="nav-link dropdown-toggle hidden-arrow d-flex align-items-center"
                      id="navbarDropdownMenuLink"
                      role="button"
                      aria-expanded="false"
                    >
                      <img
                        src="https://mdbootstrap.com/img/Photos/Avatars/img (31).jpg"
                        class="rounded-circle"
                        height="22"
                        alt=""
                        loading="lazy"
                      />
                    </a>
                    <ul
                      mdbDropdownMenu
                      class="dropdown-menu dropdown-menu-end"
                      aria-labelledby="navbarDropdownMenuLink"
                    >
                      <li><a class="dropdown-item">My profile</a></li>
                      <li><a class="dropdown-item">Settings</a></li>
                      <li><a class="dropdown-item">Logout</a></li>
                    </ul>
                  </li>
                </ul>
              </div>
              <!-- Container wrapper -->
            </nav>
            <!-- Navbar -->

            <main style="margin-top: 58px" class="pb-5">
              <router-outlet></router-outlet>
            </main>
          </mdb-sidenav-content>
        </mdb-sidenav-layout>
        
        
    
        
            
        import { Component, AfterViewInit, NgZone, ViewChild } from '@angular/core';
        import { MdbSidenavComponent } from 'mdb-angular-ui-kit/sidenav';
        import { fromEvent } from 'rxjs';

        @Component({
          selector: 'app-full-mdb-sidenav',
          templateUrl: './full-mdb-sidenav.component.html',
          styleUrls: ['./full-mdb-sidenav.component.scss'],
        })
        export class FullMdbSidenavComponent implements AfterViewInit {
          @ViewChild('sidenav', { static: true }) sidenav!: MdbSidenavComponent;

          mode = window.innerWidth >= 1400 ? 'side' : 'over';
          hidden = window.innerWidth >= 1400 ? false : true;

          constructor(private ngZone: NgZone) {}

          ngAfterViewInit() {
            this.ngZone.runOutsideAngular(() => {
              fromEvent(window, 'resize').subscribe(() => {
                if (window.innerWidth < 1400 && this.mode !== 'over') {
                  this.ngZone.run(() => {
                    this.mode = 'over';
                    this.hideSidenav();
                  });
                } else if (window.innerWidth >= 1400 && this.mode !== 'side') {
                  this.ngZone.run(() => {
                    this.mode = 'side';
                    this.showSidenav();
                  });
                }
              });
            });
          }

          hideSidenav() {
            setTimeout(() => {
              this.sidenav.hide();
            }, 0);
          }

          showSidenav() {
            setTimeout(() => {
              this.sidenav.show();
            });
          }
        }
        
        
    
        
            
        @media (min-width: 1400px) {
          main,
          header,
          #main-navbar {
            padding-left: 240px;
          }
        }
        
        
    

Sidenav small and with categories

        
            
        <mdb-sidenav-layout>
          <mdb-sidenav
            #sidenav="mdbSidenav"
            position="absolute"
            [hidden]="false"
            class="sidenav-sm"
          >
            <a
              class="d-flex justify-content-center py-4 mb-3"
              style="border-bottom: 2px solid #f5f5f5"
              href="#!"
            >
              <img
                id="MDB-logo"
                src="https://mdbcdn.b-cdn.net/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                alt="MDB Logo"
                draggable="false"
              />
            </a>
            <ul class="sidenav-menu px-2 pb-5">
              <ng-container *ngFor="let item of items">
                <mdb-sidenav-item [ngClass]="{'pt-3 d-block': item.subheading}">
                  <span *ngIf="item.subheading" class="sidenav-subheading text-muted">{{ item.subheading }}</span>
                  <a class="sidenav-link" tabindex="0" mdbRipple>
                    <i class="fas {{item.icon}} fa-fw me-3"></i><span>{{ item.name }}</span>
                  </a>
                </mdb-sidenav-item>
              </ng-container>
            </ul>
          </mdb-sidenav>
          <mdb-sidenav-content #sidenavContent>
            <div class="mt-5 d-flex justify-content-center">
              <!-- Toggler -->
              <button class="btn btn-primary" (click)="sidenav.toggle()">
                <i class="fas fa-bars"></i>
              </button>
              <!-- Toggler -->
            </div>
            <router-outlet></router-outlet>
          </mdb-sidenav-content>
        </mdb-sidenav-layout>
        
        
    
        
            
          import {Component} from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss']
          })
          export class AppComponent {
            items = [
              { name: 'Overview', icon: 'fa-tachometer-alt' },
              { name: 'Project', icon: 'fa-plus ', subheading: 'Create' },
              { name: 'Database', icon: 'fa-plus ' },
              { name: 'Project', icon: 'fa-cubes ', subheading: 'Manage' },
              { name: 'Databases', icon: 'fa-database ' },
              { name: 'Custom domains', icon: 'fa-stream ' },
              { name: 'Repositories', icon: 'fa-code-branch' },
              { name: 'Team', icon: 'fa-users' },
              { name: 'Analytics', icon: 'fa-chart-pie', subheading: 'Maintain' },
              { name: 'Backups', icon: 'fa-sync' },
              { name: 'Security', icon: 'fa-shield-alt' },
              { name: 'Admin', icon: 'fa-money-bill', subheading: 'Billing' },
              { name: 'License', icon: 'fa-file-contract' },
              { name: 'Drag & drop builder', icon: 'fa-hand-pointer', subheading: 'Tools' },
              { name: 'Online code editor', icon: 'fa-code'},
              { name: 'SFTP', icon: 'fa-copy'},
              { name: 'Jenkins', icon: 'fa-jenkins'},
              { name: 'GitLab', icon: 'fa-gitlab'},
            ]
          }
        
        
    

24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

Sidenav - API


Import

        
            
          import { MdbSidenavModule } from 'mdb-angular-ui-kit/sidenav';
          import { MdbRippleModule } from 'mdb-angular-ui-kit/ripple';
          import { MdbCollapseModule } from 'mdb-angular-ui-kit/collapse';
          import { MdbDropdownModule } from 'mdb-angular-ui-kit/dropdown'; // For examples with dropdown

          …
          @NgModule ({
            ...
            imports: [MdbCollapseModule, MdbSidenavModule, MdbRippleModule, MdbDropdownModule],
            ...
          })
        
        
    

Inputs

Name Type Default Description
accordion Boolean false Enables accordion behaviour in a navigation container
backdrop Boolean true Adds/removes a backdrop in an over mode
backdropClass String - Adds a custom class to a backdrop
closeOnEsc Boolean true Closes a side drawer on ESC key (only when toggler is visible)
color String primary Changes a color of active/hovered links and categories
disableWindowScroll Boolean false Disables window scroll when sidenav is open.
expandOnHover Boolean false Expands/collapses slim mode on mouseover / mouseleave
focusTrap Boolean true Toggles focus trap feature in component template
hidden Boolean true Initializes navigation outside a viewport
mode String over Sets position mode - available options: over, side, push
scrollContainer String Selector for a scrollable container inside a side drawer
slim Boolean false Enables a slim mode
slimCollapsed Boolean false Initializes a component in a slim mode
slimWidth Number 77 A component's width in a slim mode (pixels)
position String fixed Sets CSS position - accepted values: fixed, absolute
right Boolean false Initializes sidenav on a right side
transitionDuration Number 300 Sets a length of transitions (in milliseconds)
width Number 240 A component's width (pixels)

Outputs

Name Type Description
sidenavShow EventEmitter<void> Emitted when a component has been toggled
sidenavShown EventEmitter<void> Emitted once a component is shown (after transition)
sidenavHide EventEmitter<void> Emitted when a component has been toggled
sidenavHidden EventEmitter<void> Emitted once a component is hidden (after transition)
sidenavExpand EventEmitter<void> Emitted when a slim mode has been toggled
sidenavExpanded EventEmitter<void> Emitted once a component has expanded from a slim mode (after transition)
sidenavCollapse EventEmitter<void> Emitted when a slim mode has been toggled
sidenavCollapsed EventEmitter<void> Emitted once a component has collapsed into a slim mode (after transition)
sidenavUpdate EventEmitter<void> Emitted whenever a content's offset should be updated (push/side mode).
        
            
            <mdb-sidenav-layout>
              <mdb-sidenav (sidenavShown)="onSidenavShown()">
                <ul class="sidenav-menu">
                  ...
                </ul>
              </mdb-sidenav>
              <mdb-sidenav-content>
                  ...
              </mdb-sidenav-content>
            </mdb-sidenav-layout>
            
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              onSidenavShown(): void {
                console.log('Sidenav shown');
              }
            }            
            
        
    

Methods

Name Description Example
setMode Changes a position mode (options: over, side, push) sidenav.setMode('push')
hide Hides a navigation drawer sidenav.hide()
show Shows a navigation drawer sidenav.show()
toggle Manually toggles a component sidenav.toggle()
toggleSlim Manually toggles a slim state sidenav.toggleSlim()
        
            
                  <mdb-sidenav-layout>
                    <mdb-sidenav #sidenav>
                      <ul class="sidenav-menu">
                        ...
                      </ul>
                    </mdb-sidenav>
                    <mdb-sidenav-content>
                        ...
                    </mdb-sidenav-content>
                  </mdb-sidenav-layout>
                  
        
    
        
            
                  import { AfterViewInit, Component, ViewChild } from '@angular/core';
                  import { MdbSidenavComponent } from 'mdb-angular-ui-kit/sidenav';
                  
                  @Component({
                    selector: 'app-root',
                    templateUrl: './app.component.html',
                    styleUrls: ['./app.component.scss'],
                  })
                  export class AppComponent implements AfterViewInit {
                    @ViewChild('sidenav') sidenav!: MdbSidenavComponent;
                  
                    ngAfterViewInit(): void {
                      setTimeout(() => {
                        this.sidenav.show();
                      }, 2000);
                    }
                  }                       
                  
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, sidenav now use local CSS variables on .sidenav and .sidenav-backdrop for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

Sidenav CSS variables are in different classes which belong to this component. To make it easier to use them, you can find below all of the used CSS variables.

        
            
        // .sidenav
        --#{$prefix}sidenav-transform: #{$sidenav-transform};
        --#{$prefix}sidenav-zindex: #{$sidenav-zindex};
        --#{$prefix}sidenav-background-color: #{$sidenav-background-color};
        --#{$prefix}sidenav-width: #{$sidenav-width};
        --#{$prefix}sidenav-height: #{$sidenav-height};
        --#{$prefix}sidenav-box-shadow: #{$sidenav-box-shadow};
        --#{$prefix}sidenav-data-hidden-false-transform: #{$sidenav-data-hidden-false-transform};
        --#{$prefix}sidenav-data-color-light-color: #{$sidenav-data-color-light-color};
        --#{$prefix}sidenav-data-right-true-transform: #{$sidenav-data-right-true-transform};
        --#{$prefix}sidenav-data-slim-collapsed-true-width: #{$sidenav-data-slim-collapsed-true-width};
        --#{$prefix}sidenav-menu-padding: #{$sidenav-menu-padding};
        --#{$prefix}sidenav-collapse-sidenav-link-font-size: #{$sidenav-collapse-sidenav-link-font-size};
        --#{$prefix}sidenav-collapse-sidenav-link-height: #{$sidenav-collapse-sidenav-link-height};
        --#{$prefix}sidenav-link-font-size: #{$sidenav-link-font-size};
        --#{$prefix}sidenav-link-padding-y: #{$sidenav-link-padding-y};
        --#{$prefix}sidenav-link-padding-x: #{$sidenav-link-padding-x};
        --#{$prefix}sidenav-collapse-sidenav-link-padding-left: #{$sidenav-collapse-sidenav-link-padding-left};
        --#{$prefix}sidenav-link-height: #{$sidenav-link-height};
        --#{$prefix}sidenav-link-border-radius: #{$sidenav-link-border-radius};
        --#{$prefix}sidenav-link-transition: #{$sidenav-link-transition};
        --#{$prefix}sidenav-link-hover-background-color: #{$sidenav-link-hover-background-color};
        --#{$prefix}sidenav-link-active-focus-background-color: #{$sidenav-link-active-focus-background-color};
        --#{$prefix}sidenav-link-active-color: #{$sidenav-link-active-color};
        --#{$prefix}sidenav-subheading-font-size: #{$sidenav-subheading-font-size};
        --#{$prefix}sidenav-subheading-padding-y: #{$sidenav-subheading-padding-y};
        --#{$prefix}sidenav-subheading-padding-x: #{$sidenav-subheading-padding-x};
        --#{$prefix}sidenav-subheading-fw: #{$sidenav-subheading-fw};
        --#{$prefix}sidenav-sm-link-pt: #{$sidenav-sm-link-pt};
        --#{$prefix}sidenav-sm-link-pb: #{$sidenav-sm-link-pb};
        --#{$prefix}sidenav-rotate-icon-margin-right: #{$sidenav-rotate-icon-margin-right};
        --#{$prefix}sidenav-rotate-icon-transition: #{$sidenav-rotate-icon-transition};
        --#{$prefix}sidenav-light-color: #{$sidenav-light-color};

        // .sidenav-backdrop
        --#{$prefix}sidenav-backdrop-zindex: #{$sidenav-backdrop-zindex};
        --#{$prefix}sidenav-backdrop-background-color: #{$sidenav-backdrop-background-color};
      
        
        
    

SCSS variables

        
            
        $sidenav-zindex: 1035;
        $sidenav-backdrop-zindex: 1034;

        $sidenav-transform: translateX(-100%);
        $sidenav-background-color: $white;
        $sidenav-width: 240px;
        $sidenav-height: 100vh;
        $sidenav-box-shadow: 0 4px 12px 0 rgba(0, 0, 0, 0.07), 0 2px 4px rgba(0, 0, 0, 0.05);

        $sidenav-data-hidden-false-transform: translateX(0%);
        $sidenav-data-color-light-color: rgba(255, 255, 255, 0.6);
        $sidenav-data-right-true-transform: translateX(100%);
        $sidenav-data-slim-collapsed-true-width: 77px;

        $sidenav-menu-padding: 0.2rem;

        $sidenav-collapse-sidenav-link-font-size: 0.78rem;
        $sidenav-collapse-sidenav-link-height: 1.5rem;
        $sidenav-collapse-sidenav-link-padding-left: 3.4rem;

        $sidenav-link-font-size: 0.89rem;
        $sidenav-link-padding-y: 1rem;
        $sidenav-link-padding-x: 1.5rem;
        $sidenav-link-height: 3rem;
        $sidenav-link-border-radius: 5px;
        $sidenav-link-transition: all 0.3s linear;

        $sidenav-link-hover-color: $primary;
        $sidenav-link-hover-background-color: #f6f9fc;

        $sidenav-link-active-focus-color: $sidenav-link-hover-color;
        $sidenav-link-active-focus-background-color: $sidenav-link-hover-background-color;
        $sidenav-link-active-color: $sidenav-link-hover-color;

        $sidenav-rotate-icon-margin-right: 0.8rem;
        $sidenav-rotate-icon-transition: transform 0.3s;

        $sidenav-backdrop-background-color: rgba(0, 0, 0, 0.1);

        $sidenav-light-color: $sidenav-data-color-light-color;

        $sidenav-subheading-font-size: 0.6rem;
        $sidenav-subheading-padding-y: 1rem;
        $sidenav-subheading-padding-x: 1.5rem;
        $sidenav-subheading-fw: 700;

        $sidenav-sm-link-pt: 0.4rem;
        $sidenav-sm-link-pb: $sidenav-sm-link-pt;

React Bootstrap Sidenav MDB Pro component
React Sidenav - Bootstrap 4 & Material Design
React Bootstrap sidenav is a vertical navigation component which apart from traditional, text links, might embed icons, dropdowns, avatars or search forms.
By virtue of its clarity and simplicity it remarkably increases User Experience. It allows you to navigate through small applications as well as vast portals swiftly. Multiple link embedding functionality enables you to implement more advanced content categorisation, which is almost essential within bigger projects.
Thanks to MDB you can easily implement SideNav in your own projects, by using one of various, alluring Side Menus.
Navigation on the left is a live demo of SideNav.
How it looks on a mobile device:

Basic usage
import React from 'react';
import { MDBIcon, MDBSideNavCat, MDBSideNavNav, MDBSideNav, MDBSideNavLink, MDBContainer, MDBRow, MDBBtn } from 'mdbreact';
import { BrowserRouter as Router } from 'react-router-dom';
class SideNavPage extends React.Component {
state = {
isOpen: false
}
handleToggle = () => {
this.setState({
isOpen: !this.state.isOpen
});
};
render() {
const { isOpen } = this.state;
return (
<Router>
<MDBContainer>
<MDBRow>
<MDBBtn onClick={this.handleToggle}><MDBIcon icon="bars" size="5x" /></MDBBtn>
</MDBRow>
<MDBSideNav
logo="https://mdbootstrap.com/img/logo/mdb-transparent.png"
hidden
triggerOpening={isOpen}
breakWidth={1300}
className="deep-purple darken-4"
>
<li>
<ul className="social">
<li>
<a href="#!">
<MDBIcon fab icon="facebook-f" />
</a>
</li>
<li>
<a href="#!">
<MDBIcon fab icon="pinterest" />
</a>
</li>
<li>
<a href="#!">
<MDBIcon fab icon="google-plus-g" />
</a>
</li>
<li>
<a href="#!">
<MDBIcon fab icon="twitter" />
</a>
</li>
</ul>
</li>
<MDBSideNavNav>
<MDBSideNavCat
name="Submit blog"
id="submit-blog"
icon="chevron-right"
>
<MDBSideNavLink>Submit listing</MDBSideNavLink>
<MDBSideNavLink>Registration form</MDBSideNavLink>
</MDBSideNavCat>
<MDBSideNavCat
name="Instruction"
id="instruction"
iconRegular
icon="hand-pointer"
href="#"
>
<MDBSideNavLink>For bloggers</MDBSideNavLink>
<MDBSideNavLink>For authors</MDBSideNavLink>
</MDBSideNavCat>
<MDBSideNavCat name="About" id="about" icon="eye">
<MDBSideNavLink>Instruction</MDBSideNavLink>
<MDBSideNavLink>Monthly meetings</MDBSideNavLink>
</MDBSideNavCat>
<MDBSideNavCat name="Contact me" id="contact-me" iconRegular icon="envelope">
<MDBSideNavLink>FAQ</MDBSideNavLink>
<MDBSideNavLink>Write a message</MDBSideNavLink>
</MDBSideNavCat>
</MDBSideNavNav>
</MDBSideNav>
</MDBContainer>
</Router>
);
}
}
export default SideNavPage;
Slim side-nav
import React, { Component } from "react";
import { BrowserRouter as Router } from "react-router-dom";
import { MDBSideNavCat, MDBSideNavNav, MDBSideNav, MDBSideNavLink, MDBContainer, MDBIcon, MDBBtn } from "mdbreact";
class SideNavPage extends Component {
state = {
sideNavLeft: false,
}
sidenavToggle = sidenavId => () => {
const sidenavNr = `sideNav${sidenavId}`
this.setState({
[sidenavNr]: !this.state[sidenavNr]
});
};
render() {
return (
<Router>
<MDBContainer>
<MDBBtn onClick={this.sidenavToggle("Left")}>
<MDBIcon size="lg" icon="bars" />
</MDBBtn>
<MDBSideNav slim fixed mask="rgba-blue-strong" triggerOpening={this.state.sideNavLeft} breakWidth={1300}
className="sn-bg-1">
<li>
<div className="logo-wrapper sn-ad-avatar-wrapper">
<a href="#!">
<img alt="" src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).jpg" className="rounded-circle" />
<span>Anna Deynah</span>
</a>
</div>
</li>
<MDBSideNavNav>
<MDBSideNavLink to="/other-page" topLevel>
<MDBIcon icon="pencil-alt" className="mr-2" />Submit listing</MDBSideNavLink>
<MDBSideNavCat name="Submit blog" id="submit-blog" icon="chevron-right">
<MDBSideNavLink>Submit listing</MDBSideNavLink>
<MDBSideNavLink>Registration form</MDBSideNavLink>
</MDBSideNavCat>
<MDBSideNavCat name="Instruction" id="instruction" icon="hand-pointer" href="#">
<MDBSideNavLink>For bloggers</MDBSideNavLink>
<MDBSideNavLink>For authors</MDBSideNavLink>
</MDBSideNavCat>
<MDBSideNavCat name="About" id="about" icon="eye">
<MDBSideNavLink>Instruction</MDBSideNavLink>
<MDBSideNavLink>Monthly meetings</MDBSideNavLink>
</MDBSideNavCat>
<MDBSideNavCat name="Contact me" id="contact-me" icon="envelope">
<MDBSideNavLink>FAQ</MDBSideNavLink>
<MDBSideNavLink>Write a message</MDBSideNavLink>
</MDBSideNavCat>
</MDBSideNavNav>
</MDBSideNav>
</MDBContainer>
</Router>
);
}
}
export default SideNavPage;
SideNav examples
Click on the images below to see live preview
React Bootstrap SideNav - API
In this section you will find advanced information about the SideNav component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use to work with it.
Imports
In order to use SideNav component make sure you have imported proper module first.
import React from 'react';
import { MDBSideNav, MDBSideNavNav, MDBSideNavCat, MDBSideNavLink } from 'mdbreact';
API Reference: SideNavCat Properties
The table below shows the configuration options of the MDBSideNavCat component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
className |
String |
|
Sets custom classes |
<MDBSideNavCat className="customClass" />
|
disabled |
Boolean | false |
Disables element from being clicked |
<MDBSideNavCat disabled />
|
icon |
String |
|
Adds font-awesome icon |
<MDBSideNavCat icon="caret-right" />
|
iconBrand |
Boolean | false |
Use this property to set brand icon (fab ) |
<MDBSideNavCat icon="twitter" iconBrand />
|
iconClassName |
String |
|
Adds custom classes to icon element |
<MDBSideNavCat icon="envelope" iconClassName="customClass" />
|
iconLight |
Boolean | false |
Use this property to set light icon (fal ) |
<MDBSideNavCat icon="twitter" iconLight />
|
iconRegular |
Boolean | false |
Use this property to set regular icon (far ) |
<MDBSideNavCat icon="twitter" iconRegular />
|
iconSize |
String |
|
Sets icon size |
<MDBSideNavCat icon="pencil-alt" size="5x" />
|
id |
String |
|
Sets element's id |
<MDBSideNavCat id="catOne" />
|
name |
String |
|
Sets inner text |
<MDBSideNavCat name="Example name" />
|
tag |
String | li |
Changes default tag | <MDBSideNavCat tag="li" /> |